Browse Source

Sync with portage [Wed Oct 27 09:49:13 MSK 2021].

master 2112
root 3 months ago
parent
commit
7c19b60957
  1. BIN
      Manifest.files.gz
  2. BIN
      acct-group/Manifest.gz
  3. 4
      acct-group/vdradmin/metadata.xml
  4. BIN
      acct-user/Manifest.gz
  5. 4
      acct-user/vdradmin/metadata.xml
  6. BIN
      app-admin/Manifest.gz
  7. 2
      app-admin/bitwarden-desktop-bin/Manifest
  8. 6
      app-admin/bitwarden-desktop-bin/bitwarden-desktop-bin-1.28.3.ebuild
  9. BIN
      app-benchmarks/Manifest.gz
  10. 55
      app-benchmarks/hyperfine/Manifest
  11. 125
      app-benchmarks/hyperfine/hyperfine-1.12.0.ebuild
  12. BIN
      app-dicts/Manifest.gz
  13. 2
      app-dicts/myspell-ru/myspell-ru-20180627.ebuild
  14. BIN
      app-editors/Manifest.gz
  15. 24
      app-editors/jedit/files/jedit-5.2.0-build-xml.patch
  16. BIN
      app-emulation/Manifest.gz
  17. 1
      app-emulation/wine-vanilla/Manifest
  18. 578
      app-emulation/wine-vanilla/wine-vanilla-6.0.2.ebuild
  19. BIN
      app-misc/Manifest.gz
  20. 1
      app-misc/asciinema/Manifest
  21. 24
      app-misc/asciinema/asciinema-2.1.0.ebuild
  22. 23
      app-misc/asciinema/files/asciinema-2.1.0-setuptools.patch
  23. 5
      app-misc/vit/metadata.xml
  24. 2
      app-misc/wcd/wcd-6.0.3-r1.ebuild
  25. BIN
      app-office/Manifest.gz
  26. 1
      app-office/texstudio/Manifest
  27. 78
      app-office/texstudio/texstudio-4.0.2.ebuild
  28. BIN
      dev-java/Manifest.gz
  29. 1
      dev-java/gson/Manifest
  30. 56
      dev-java/gson/gson-2.8.8.ebuild
  31. BIN
      dev-lang/Manifest.gz
  32. 3
      dev-lang/perl/perl-5.34.0-r5.ebuild
  33. 2
      dev-lang/php/php-7.3.31-r1.ebuild
  34. 2
      dev-lang/php/php-7.4.25.ebuild
  35. 2
      dev-lang/php/php-8.0.12.ebuild
  36. BIN
      dev-libs/Manifest.gz
  37. 2
      dev-libs/botan/Manifest
  38. 165
      dev-libs/botan/botan-2.18.2.ebuild
  39. 2
      dev-libs/glib/glib-2.68.4.ebuild
  40. 4
      dev-libs/hiredis/hiredis-1.0.1-r1.ebuild
  41. 2
      dev-libs/imath/imath-3.1.1.ebuild
  42. 2
      dev-libs/libatomic_ops/libatomic_ops-7.6.12.ebuild
  43. 2
      dev-libs/snowball-stemmer/snowball-stemmer-2.1.0-r1.ebuild
  44. 5
      dev-libs/tntnet/metadata.xml
  45. BIN
      dev-perl/Manifest.gz
  46. 2
      dev-perl/PDF-Builder/PDF-Builder-3.23.0.ebuild
  47. BIN
      dev-python/Manifest.gz
  48. 1
      dev-python/aesara/Manifest
  49. 39
      dev-python/aesara/aesara-2.2.4.ebuild
  50. 1
      dev-python/aiopylgtv/Manifest
  51. 23
      dev-python/aiopylgtv/aiopylgtv-0.4.1.ebuild
  52. 12
      dev-python/aiopylgtv/metadata.xml
  53. 2
      dev-python/argon2-cffi/argon2-cffi-21.1.0-r1.ebuild
  54. 33
      dev-python/argon2-cffi/argon2-cffi-21.1.0.ebuild
  55. 2
      dev-python/berkeleydb/berkeleydb-18.1.4.ebuild
  56. 1
      dev-python/flask-paginate/Manifest
  57. 23
      dev-python/flask-paginate/flask-paginate-2021.10.26.ebuild
  58. 2
      dev-python/furo/furo-2021.10.9.ebuild
  59. 2
      dev-python/hiredis/hiredis-2.0.0-r1.ebuild
  60. 7
      dev-python/jsonschema/jsonschema-4.0.1.ebuild
  61. 7
      dev-python/jsonschema/jsonschema-4.1.0.ebuild
  62. 7
      dev-python/jsonschema/jsonschema-4.1.1.ebuild
  63. 7
      dev-python/jsonschema/jsonschema-4.1.2.ebuild
  64. 5
      dev-python/pdfrw/metadata.xml
  65. 2
      dev-python/pygobject/pygobject-3.42.0.ebuild
  66. 1
      dev-python/python-jwt/Manifest
  67. 17
      dev-python/python-jwt/metadata.xml
  68. 34
      dev-python/python-jwt/python-jwt-1.2.0.ebuild
  69. 1
      dev-python/rdflib/Manifest
  70. 53
      dev-python/rdflib/rdflib-6.0.1.ebuild
  71. 2
      dev-python/rdflib/rdflib-6.0.2.ebuild
  72. 5
      dev-python/smartypants/metadata.xml
  73. 2
      dev-python/sqlitedict/sqlitedict-1.7.0.ebuild
  74. 2
      dev-python/sympy/metadata.xml
  75. 4
      dev-python/sympy/sympy-1.8.ebuild
  76. 1
      dev-python/theano-pymc/Manifest
  77. 12
      dev-python/theano-pymc/metadata.xml
  78. 1
      dev-python/theano/Manifest
  79. 17
      dev-python/theano/metadata.xml
  80. 53
      dev-python/theano/theano-1.0.5-r1.ebuild
  81. 1
      dev-python/ujson/Manifest
  82. 22
      dev-python/ujson/ujson-4.1.0.ebuild
  83. 2
      dev-python/ujson/ujson-4.2.0.ebuild
  84. 2
      dev-python/virtualenv/virtualenv-20.8.1-r1.ebuild
  85. BIN
      dev-ruby/Manifest.gz
  86. 2
      dev-ruby/concurrent-ruby/concurrent-ruby-1.1.9.ebuild
  87. 2
      dev-ruby/http-cookie/http-cookie-1.0.4.ebuild
  88. 2
      dev-ruby/rdiscount/rdiscount-2.2.0.2-r1.ebuild
  89. BIN
      dev-tcltk/Manifest.gz
  90. 69
      dev-tcltk/tix/tix-8.4.3-r2.ebuild
  91. 4
      dev-tcltk/tkpng/tkpng-0.9-r1.ebuild
  92. BIN
      dev-util/Manifest.gz
  93. 2
      dev-util/bpftool/Manifest
  94. 0
      dev-util/bpftool/bpftool-5.14.14.ebuild
  95. 1
      dev-util/bpftrace/Manifest
  96. 98
      dev-util/bpftrace/bpftrace-0.14.0-r1.ebuild
  97. 45
      dev-util/bpftrace/files/bpftrace-0.14.0-dont-compress-man.patch
  98. 193
      dev-util/bpftrace/files/bpftrace-0.14.0-install-libs.patch
  99. 20
      dev-util/cargo-c/Manifest
  100. 189
      dev-util/cargo-c/cargo-c-0.9.5.ebuild

BIN
Manifest.files.gz

BIN
acct-group/Manifest.gz

4
acct-group/vdradmin/metadata.xml

@ -1,10 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>hd_brummy@gentoo.org</email>
<name>Joerg Bornkessel</name>
</maintainer>
<maintainer type="project">
<email>vdr@gentoo.org</email>
<name>Gentoo Vdr Project</name>

BIN
acct-user/Manifest.gz

4
acct-user/vdradmin/metadata.xml

@ -1,10 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>hd_brummy@gentoo.org</email>
<name>Joerg Bornkessel</name>
</maintainer>
<maintainer type="project">
<email>vdr@gentoo.org</email>
<name>Gentoo Vdr Project</name>

BIN
app-admin/Manifest.gz

2
app-admin/bitwarden-desktop-bin/Manifest

@ -1,2 +1,2 @@
DIST Bitwarden-1.27.1-amd64.deb 58099834 BLAKE2B 285d737cd38c60966778657537efa1d5e53edd46fbf25721631d6d8b50b097093ee5ba41a475c3c9aec6ddbffae48cadb0d8a994c9f6ec88cf005af1bf5c1cdc SHA512 92a6a5d3d64a17ddf2b742d9328adf27566da466c9c4d22fff910eb9dabeda77f65fad07424e6abc8c4cace04c365ada84588d05270a5cf615eda36a5741e81c
DIST Bitwarden-1.28.2-amd64.deb 58190436 BLAKE2B e95575fa944b8f71559d2cd058deb35ce5648ca76a36169faaed05812057e6a5be086c1a583d256e915d81494faf098a61a66fd93e8fd30c53a3eb9372add813 SHA512 7538565c55638d7d416a3a03f4f579b5cc5cc23d11b8f1b637616c3860415f81066e2e344752c5cbe445ffe0523854cff3a06b589b03185f0b58872a81f7073b
DIST Bitwarden-1.28.3-amd64.deb 58747514 BLAKE2B 5d62084e89df9ac1b2f3b487d8594f5cd5e9fd411b46d95bc0310f27e772d4f7185507610c204f345f24defd5f87c954381c14427d4a7b69d51737b71cc61474 SHA512 7d061ae18a11c733a72fbb0e657c5f14d04054ae97720c3920d9641c880aea2de5638b908719a1fb4d8c23f32b49697cfa7994732441135007cdf2572bf41cfb

6
app-admin/bitwarden-desktop-bin/bitwarden-desktop-bin-1.27.1.ebuild → app-admin/bitwarden-desktop-bin/bitwarden-desktop-bin-1.28.3.ebuild

@ -1,7 +1,7 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
inherit unpacker xdg-utils
@ -48,6 +48,10 @@ RDEPEND="
x11-libs/libXtst
x11-libs/pango
"
IDEPEND="
dev-util/desktop-file-utils
dev-util/gtk-update-icon-cache
"
S="${WORKDIR}"

BIN
app-benchmarks/Manifest.gz

55
app-benchmarks/hyperfine/Manifest

@ -1,73 +1,128 @@
DIST aho-corasick-0.7.18.crate 112923 BLAKE2B 4f6947d1aacf89ccfab0592cdc55fa61ef09cea38231d3f758765dbce328a810c0b588be4ba96e81d64955379ee005722d22a7aec39caea6e72342245d7ca34f SHA512 7a23b16231a90d23ee60ad4c81bc225410599a4560d33d3a203138fc540c39cf1000100fed3aed40dcc371c3635656a3792545dca5dd1aefbde00d8774eebd00
DIST ansi_term-0.11.0.crate 17087 BLAKE2B 9bd35c045a01ce4c6c4a5db1b4f15e9412bb97426eec19d4421dffbec633de8d13452c13c1dc1b30998690b78d7ed38311aca700087f13a81f66bd1d5d7300c4 SHA512 a637466a380748f939b3af090b8c0333f35581925bc03f4dda9b3f95d338836403cf5487ae3af9ff68f8245a837f8ab061aabe57a126a6a2c20f2e972c77d1fa
DIST approx-0.3.2.crate 14288 BLAKE2B 601eb7b83c6f0e41a4d64db5669b7058b4038319414bde74761f0b1584baf8426f9735cd0076d1dde829a056a07e8f820d85737e5b1bf371d9510551c367025c SHA512 3853684c3b1c5c63204304f2e4f1c673b92311125c1df0fc16e96bd6f765e8266079e8d4ec3c85fad933361638c7515d5be18a2fc551353c4097051d0bd96ae3
DIST approx-0.5.0.crate 14359 BLAKE2B d1811157cb560d24b559b5f4954654dcfe4d1d418f90ed98536c0f8c72584b9cc10c93c4e89fa376f96be043338964d07bc722ef16ebf3041e8c7eb755f2941e SHA512 4c7ef7d54b6a9fac11587fd16638d36d8738e5156f5abf77cd994056377427f12170b61c03d1acf591dbb897911babc852c2a4a12b3c5277e1065d952c9e7dc6
DIST arrayvec-0.5.2.crate 27838 BLAKE2B 51e2eacae0ef148f3f52d21ae00794e540e7ce4c013fb496dd1347ad91ffbbca199381fffbb064225f829216f6c5e915edfa64833f91fabdd13c3f011d86491f SHA512 1896b5f64b4dbdcff8ad234bda4ea8129bcacf87839347304717e94ee9f369cf5f4371755e453ff7d72817edb8f7fdbc726d77cc4f28ed05148dc89c7714b004
DIST assert_cmd-2.0.2.crate 29433 BLAKE2B d9f2a97bd81d1423afb6bddbc5fcf6e2cb334502c009368ed623015131d2795d705147e2ad347541a276712b45aa9b95ccb333c52b26aa85dbf58707160f68f5 SHA512 346268f1ff00416eb04ce9307bc6261a05edac4a9c10745f428c6a7c35edc7fa8f6b6c8f7fe66befe5b508e60c2763b8bc8acfcefca4b24a9d3e3e1ea85a9935
DIST atty-0.2.14.crate 5470 BLAKE2B 2db856a9e898a430258f059aeaf7c844a153293e8856d90ac81f7d91a888c89198768ad5cb09303c23241fe85c560a55148fa56a303651a82b0edb895616bfab SHA512 d7b6c4b9a0f898d91ddbc41a5ee45bbf45d1d269508c8cc87ee3e3990500e41e0ec387afb1f3bc7db55bedac396dd86c6509f4bf9e5148d809c3802edcc5e1d9
DIST autocfg-0.1.7.crate 12158 BLAKE2B 4120306f0f7c1cc0cf8d1d994c080cbf42e4b107cb51af910504c8c8d264289654dad23a0c6b9eb28d888157e5a68ef2460c3d38537ae9d5e9bf73b66ffc3015 SHA512 667ca520f2b46140d2f3519b43e5155426a6e7a2130879860eb10b974f84465600077f53abed4c0e6bf2612471f01786bfb3531ea8773d0f50f29d48e05f7925
DIST autocfg-1.0.1.crate 12908 BLAKE2B 40c53cab298e4f26634c3acff3ece6a3371188d91dbf377ed664eabedcde20536edaa93daf406618f37edde019f049a6e7b9a47f627344587dbd126bee2b5e3a SHA512 630b348acb98b012e97804e6325d03c89abc22f2157762c59144c04e6c733daf550bdc7f0fe0b9f3b50e15dae8c1c3c4bdfce3d805b02f0fc987311f5332419b
DIST bitflags-1.2.1.crate 16745 BLAKE2B 0fa6d3ce44aad7616d5cd02aad8c1d0b0fed4022650eb43067c4a72e6fc88da05442674fa51826e4858a47c9de233e1ba2229820af094197cd11bb416ceffb2b SHA512 ad89b3798845e23737a620bba581c2ff1ff3e15bac12555c765e201d2c0b90ecea0cdbc5b5b1a3fa9858c385e8e041f8226f5acfae5bbbe9925643fff2bf3f0b
DIST bitflags-1.3.2.crate 23021 BLAKE2B eb990bb27b2bdeb66fd7212ce582cb36e1c616debbac85df642d0c82b25439e6bf9b1e811fac76b59e58ea3c1bbea6170d03a61e8f9a395e4334a0e2e2987eda SHA512 3c698f757b5cc62f815f9a1cce365c3d2dd88e4db71f331dff8bba86c2865f755b81cb4c9bfc59bd86b7643b0943f9e09a7c4f8ad75eb2ab0e714803d0129f62
DIST bstr-0.2.13.crate 345445 BLAKE2B 9a17fa04d55e5d053b115aef2a075b58cab0fb84c574df61eec7c3ab6f06e17d156991b1c070ad357599de5455af78982eecb8632336d53792958800ecafe839 SHA512 f1f778262269dfea6ba1cf953a5177107c2e1e838248a67588283ee11efa81adfa30498c7cfb20422e0955544a07d2a8f86c4eefc78e9f407a92be9591e26fe5
DIST bstr-0.2.17.crate 330350 BLAKE2B 90c3a48d78b73d7e36a3da9fda0beae6e91ce534d17198ea8ceee0b613d03297f9dd8bca30e1ec5da01d1da359a1da72b2c2771b77c82bebab5006cafd665192 SHA512 883eac8210d14f89517b4dd5e25d02c97cf31602ec74498b5e186112ba0f154d47de8d1c41a8f4e5503f3b53c064e2c976b60bbfd63fc28b186bc006e00f20c2
DIST byteorder-1.3.4.crate 21943 BLAKE2B 278b24e036e920f84683f883991a967d997883bc80edefc5b69f52551794a37e5051786a1ac1b7a30bf2f5cad7318d781f189a7b2e496e2743df01262d5c33d6 SHA512 0618ce2cd6f3f6c586201d9aee8c8aaa08f99c9f9f215cf448b3cb6af1ac741845f5279953544caaec7fcf0beec1474bb991bee1ad0c0dac0c3f1d3ddd99e2d9
DIST cfg-if-0.1.10.crate 7933 BLAKE2B 063a96ed176f34f788666b40adc483d147fc011dee941ab60569ddd0e57502b5dd06ed71090f4e14ce005d06e240500a286f74652615e9d068fba649610d8cf8 SHA512 9d22616bfb4a75770a828a0a3cddac6787297a5fdc53eb17e25811cc94de717f2de8bd66d53c5d65ba1c83d8892aefee5ae758cf56a1ef0a0c3120f70b244339
DIST cfg-if-1.0.0.crate 7934 BLAKE2B e99a5589c11d79d77a4537b34ce0a45d37b981c123b79b807cea836c89fc3926d693458893baca2882448d3d44e3f64e06141f6d916b748daa10b8cc1ae16d1b SHA512 0fb16a8882fd30e86b62c5143b1cb18ab564e84e75bd1f28fd12f24ffdc4a42e0d2e012a99abb606c12efe3c11061ff5bf8e24ab053e550ae083f7d90f6576ff
DIST clap-2.33.3.crate 201925 BLAKE2B bec9c866481c5b3fddeb314f68af9bce38fc421e42816182de3209e8ea3447b72cf033e6251eea27fe974eff8085b7d98cdd2911b5cc0ec6b4bf4c750deb8a25 SHA512 3eb0fd648e2e3f9e5ff69a5e6cf0d867304fe18523accd036f28a86de368e4774088a6936c108ccc045092c539fe7f7494ea96420ebf6b4bec16880cea84bedf
DIST cloudabi-0.0.3.crate 22156 BLAKE2B e12054fd474754031f8f5038d5e2829e1586db974d38230cfd8774db591a58dfdcaea9fb61fc0b35366889d348b2c73ceaabbb462f1abeeffeaab167013c986f SHA512 691ed793e9b35ba382f03897f4c0efc31a528394862a27b814ba8993ad30bbe0ebc9808484baf580e8b69d9c13ad1612776a1efd0f6981545b420139ff83592c
DIST colored-2.0.0.crate 21619 BLAKE2B 5abcc05a95cd74a106c4e4f3c9b1722a7a9493c7d16c2d73f2a116d1d0d20f93d00c414a19871930e6286aa60cdcb0f4f4411ae059e7e76b7632cfca3a55ebe9 SHA512 c9ee830c1e8a32372ab8c7ce569701deaa6533fa369fc1b4c04bed57b1e686ed775fc76c3d9815ad21ee69cfc7c30d645abcbacad39081c7e37ff83ebb6d9e8a
DIST console-0.12.0.crate 21278 BLAKE2B ee79ab5478a6f49d4c42389f2e9d17a5fe97749728fa548330a49b0869e8d839576eb4fc3874c60b873a3de8be9bdb7f928da6303c2ab0e68e9381052abd9e82 SHA512 f35d40ef5f91d99eddaa498b8e043f884fd624afd39215a7f207ca79b99d9eb563b47595974af345ce68542d76d58da17c358ce60231bcb0a1dcb9da31f7c6c7
DIST console-0.15.0.crate 23507 BLAKE2B 49694683baddb53e0f35584403aa93616164c2d3b94b39e0e35ebc4f915c37c8e794619d57b44ac0ea460ddbf7ec43323adecf657cc6f2869f313b3cdbf3a46a SHA512 70bd6abfafa533903f273ec3b34da6783856bd1abedaf139fddafac0dbb03fa9154f8e1e1bef01fd8de3c53100bbaa93313518c42f8ce51217c23ef34d3f9d62
DIST csv-1.1.3.crate 890849 BLAKE2B 4d5fcc75f693a7e5f224866c626f3e65c6af66c8f0c13bf7d3d5fddb31a5078c47b195c3e1068ebdb81a5cdfbd716db649b5f2f3e3ffbb4471bbd0176c3c7b5e SHA512 2e5319b50cdb96f85c129743c0ecfc23638713113641608b817e47ac34c6f9767079b98405808a387a8a870d52c44e858aea98b91126e5d996d4d3efecbab713
DIST csv-1.1.6.crate 886999 BLAKE2B b178d0419af671df570f37a4d054391bc883085b0cd3949de5e967aa4ca323fdadfd8c5d91eef1e8882ec112a1111cf255756eace3c7421e455ea2b6e01cb600 SHA512 81dd826f0ee85e7d335d844e9f9b4d2b66f7076c517d8050ee2e35721bfa4ecb8a906dcd9671b1c5381a968dcce0949202f1afe8eea535b6d215363d4f5be6fc
DIST csv-core-0.1.10.crate 25668 BLAKE2B 8e9a56c26e75f4c4c9e90a21cc30c60cc3fff17515ac93bc858e8ec45e130df2ecabafa7c513b2d2815269fbbd98c418269dfb1bf1425d2fd32fe46823cee6c8 SHA512 2a269d050fbe5d9e0f5dcda2de1e84bfeb69538dde86040ad1ec7307a214eed813a1482acb5029a51f18126d384d5238355e021964e47811db971a0821bcc328
DIST difflib-0.4.0.crate 7638 BLAKE2B 57c703de0d467c997bcbedc4d6577569b3d72c612d3ccd929025a98f4bf8f72f2a0d43f3cd3bc616676c2569aed176b3c1362cfa868a4bb1197e05fe4dbce32f SHA512 fcb57859424fea6958a4407061c421599fbca111357b1fe72faa65d8fb0b74425c993a24484e8414f475fa146cd8368c4f82e1ceb4e8dd9f95741149345b37a9
DIST doc-comment-0.3.3.crate 4123 BLAKE2B a82d1c1a7a90af6e111b5e684a1298d7eac5fd8e4bf7d5baf6c7403d26b609958716d57e51122fe7ad7626fe00a2d824dcfef3cc2fd7679fdb7b5099603de1cd SHA512 e98ff9646a3612bd41bb6f278e7b6e9a0c58747f8b82524da814cf51b7f06c76ad4d65b502ac5740e818744abb295f78f15f8262d0b50ced1523f6d1a26939ba
DIST either-1.6.1.crate 13641 BLAKE2B e5f40c40a5edb6dcb07a10bf79183cbe42438f1f70f3932dce72f6f6e91f75f24d17d82bc447507def4dad4345ffc9dd9162dde778afb253bdb1218e91887949 SHA512 4bfe56920e30cbc8eb4f90162db618f7dca653b42db35ab6a7045d3fd9a24ceb1778b1f79613850bdb1a87ad3794fa0d73015e46c48d513f368d8c3776fc9ddf
DIST encode_unicode-0.3.6.crate 45741 BLAKE2B e1e3792bc2bf9db7df33a516d0d755eef5eff1249aa9b2fd7f0dfcb155786c566fb619c9b2d73425a8625c8593988b117e9676c341f65e8795ddc838bf9881c4 SHA512 64193d6ac75f66d58ed864169b5d6228ede36dcf100614395e086bc8e847a3ddd287734d88e8ed50f38c679a99c80ec68449175a67d8ee03b02ec1cfa9d55e77
DIST float-cmp-0.9.0.crate 10102 BLAKE2B 46bce5f7e838a947bbbdd22b085435e795b67fd23479780f65bf1586a70e7a35f04f9af086be98bff24e2583eeac7c9688727a2ddbd1ce978526dc01abf67dfd SHA512 f8dad12ecf8a278769054fd78794999dae8dedbcfde5e77bdf6cea12fdeaadeeb2f1f3ca62df9aadc1bc3f61457236c4854d6d6923ad6d03ae7f23af600572e8
DIST fuchsia-cprng-0.1.1.crate 2950 BLAKE2B 8519407ab5d1f04d03cc946a07050db4dd7bc70e03894e35b9e66910a3be11224084a86ba45103fdec845e94b7ba4defbd7c5217b035a0796c0c4a94b9562cd7 SHA512 ea9f5beb0dfcb023c22cfc2b37ce52dfcf3a2cbbed0f79ffffc332878858386805c65dce8469a431002367562d857a6c064e075688540c27fcb4056a110059d2
DIST getrandom-0.1.15.crate 24786 BLAKE2B 868817d62ee44fa5bbf54f9af0bd71a29503f92bc93e190a834f4ebdb8eb73dd29e175c661f9964298987949c0b82a53e99080cbe4090fc9c5453daea4b05595 SHA512 b26d9558554058f8a54b03f56f488db5ebad2d5cc84f737e489f8f532f8464ef9038d104173eb30acca61caa1f99e1ce267bc493c01ba1611b829e0a090cc87f
DIST getrandom-0.2.3.crate 26261 BLAKE2B 3e52a87b9355f850e07e5080c20e1ab3acfa927bae28c63bb8bfd6a773ad77be96d3ba770c344631cc0f2d9a95aac920790173168b102e25f50480ee96663569 SHA512 e6da64ed529cb0fc000b613f75187ed6b20f716e721d8a02ac2ae39c507fb9f6189ebb66b522d28584eff1e7e9efc274cad6bfe43f464f58053701e1d51c603d
DIST hermit-abi-0.1.17.crate 10065 BLAKE2B 79aeac5f72873a29b53368fb01ed4288224692cc7c55221633775641ade40693bf3fb44db22cbe4422a74d1d6330450110f21b586426b6fb8ef93f116476c644 SHA512 1ed4688f2cc1f1d5ba2f7637e2a9dc230712ce8907e1fa3d95ae374cd4b67a325138a98f2a524cb03f99625775057aa0370f480a73ab20485f0456e2f108baf2
DIST hermit-abi-0.1.19.crate 9979 BLAKE2B 801e8052b85341cca388ada9db4b06bb1bd7b64474185b2ad06c0256b9e597639bd3dd4ba0053ea010f922e53969a4ab47b90d451fd9b94c8f2324055d151ea1 SHA512 1c877fcd562b15d2de9c151fd6c5f3ea4bf48abcb799e6139a180ffad5d64b632f0000d5707bbd92ff23a0e5f349157b9e0f5be8b50f03680b0fa47315dbb78a
DIST hyperfine-1.11.0.tar.gz 48228 BLAKE2B 26b5139611539acfc5e34d6f245458983e5fa5637da14488e33ee858db75150dc3a0ea1e37a335028d66d99d396d61113c5e9291ca70736684d9f94d7efa1dc5 SHA512 2b2569c997e3ab14e7edae883d3d6f805ed571a90585e1ae17cb1dffbcb77ae7ff5428a7defad3694d98f061f4571d938ade8bcb7efa757a245df0ffa685af56
DIST hyperfine-1.12.0.tar.gz 52885 BLAKE2B 42b83e50b5887e0015e70f9af7632ff73d99960f52e1cf96e81925e61e1d17b1fbdfdaf71c3ffe1a840ae04e80ce88e76b7fc5f8e7dd312c543dbd915165be7c SHA512 3f5fff5823c9711c4c13c36d92048c233511bf7ec7132d8a67dee3ca5046a8d6f33a05e37e120f85dfe571e2bf81ef1addb8a2bf2bc16816aa9e113930df1e3d
DIST indicatif-0.15.0.crate 28897 BLAKE2B 40b2fdc5962514b05a3b604c1045b864ca97f4c24a479435a90f1880cc79b2d9e3ed3f48486ac1e323b342891f8487f955c47cf3554bd9e4593b68693ad2b8e8 SHA512 9edae880d12412ad1f11d5cac004009a19540af3161176bac35390848e0a6959850a50fcfc2a66bd5ae5901b4e6af1a24286f7aede653f90b366089cbad6a5d2
DIST indicatif-0.16.2.crate 35057 BLAKE2B c2f3beb7ac4450c5aace863f33de7a4b474e93c5d34fa55acacf971c5e0918b4b72c1a970f15395a8256fdf8bbb78edc8f2a6fb85be4aa7dbcd13d1fc30ff55a SHA512 5f60358f1fe3ffc0ec97d1d8922a7a2645d7dc0affed1d49a9205becdb36756d6a03482ef00fc918231770f967f7fc523f7b8c3bf4c06f71a0a93549c46fdacd
DIST itertools-0.10.1.crate 116219 BLAKE2B 7d354daf7b069515ec7fe77ff2f4f07ecf870735d7ca166fd6b10ba89431cc27bf264c648efd2052206e8edd8f596485b913071453f37e5de47da44e935db79f SHA512 8626eee66aa598e16f5322a6fc55b17c622656f58635c990f5cbd8faeb4739690b0abb3efac4a9a3073752e9f2a51a0ba29401edb12e0f6bf9bddd8d1b394dbc
DIST itoa-0.4.6.crate 12167 BLAKE2B a0ab539cfdaca0a61fc55afdb74ef3231d300452fabbc747cac16a51ec74b4ad5c877e2b2a35f3087693c7eb55b5c389b5bc037b960733ab2afa36ff781591c2 SHA512 9085ad30313a2904fc60a85afed99c7388a345ed50c988f4e7307b23b5f38b14bc9ff64edf02b85fda6c363e035ac314241d5dba4a6e2dcfef3d2648cadb9692
DIST itoa-0.4.8.crate 11926 BLAKE2B e5a648b490908d0ffa3a0832342ad11264eb4357939bb39aad014aed3938bb60e82703b7e31929a458525061e9bc40539d33753bdbd722a03b6804e57dd1f70c SHA512 6911d269ff3ed7350e4f0dcfc6e9e0d70e25833e1e7cfcc57d5b8aff1f47b8be4f2e9baf1b92e5517cff63492be489b6d29b48dd9bb642e428acaa431216b68e
DIST lazy_static-1.4.0.crate 10443 BLAKE2B 25b2e61bbac48f0dcbc79c81d7bf01f2403d8269ecb6be3ea6147bd00f7a588df15a91f44dfc18ada19b21faa71de4637c7d493a8628cbecd0e547d74e616a23 SHA512 e124c0521ec7c950f3c4a066821918da7a9c6e711115d98009ae7c351928fdddead852e7596fea5937a9c30e4e4ce8eee7099b20248b5d6e3b2494b6a6d88cb8
DIST libc-0.2.104.crate 548775 BLAKE2B b70af0cae086352f61cd56522b6d468640aa8e18ab5e4768ec52c65d6f445df08602dcf17ea3b8a4b51879257605c5bdbf28764c1e66d57decf6189f3703c9c0 SHA512 25bfce165d0265827f2bf5de255ba8abea6880d82ec9022744de358d4518f381a0cf1fecc5d741b85ee8f90683b7ca3117743236fa32813ac807721fcb15d029
DIST libc-0.2.79.crate 511752 BLAKE2B e5da81cbbf3bd400fc301096750cc94683f13000b3f20461d2bad942c3999122fb944655871039e3bc32b9dc5037de4e82800db16899dce4685d80a569e21512 SHA512 943e097b3a4fd33b547812dadad15da33c98b1d78fd86579f63a78030a5fadd431d5d1fc969e67e1bc301d33dc550c0398ccadae26aa990d05ee474a5f76c634
DIST memchr-2.3.3.crate 22566 BLAKE2B f952070b98ef30f0d2780a6efbeb36d295710734f678517d913a8002cafebbd3cfc38975fc4546d306efc11bc815764d14320af3b7a2360bd46fc2ab3db9efa5 SHA512 922e05da920d0d94226857788878ee5e31518cd80d95ae57e1d7ecd233942c37d01565525db2f1dfdfd5b3b1f81b2c73eee058cbfd745cb4e1519518318df248
DIST memchr-2.4.1.crate 64977 BLAKE2B 31479718c118093b684bed946eae0706d77d9d275bd49f5aeff4de490f479abd60c7dc462150eafffc6d6fc1da0853123b78be038826b775d2a41a4c39d93ab5 SHA512 d8912e3902a2126f86159bdc998532a2890b882cbb7d59b5a470fffcad4c32281e045f2fff48a235aa4189f1928866bf3d33b699d50866ad6b6c272bba7adb11
DIST normalize-line-endings-0.3.0.crate 5737 BLAKE2B 935b2d20ccd37ca7469641a37aa0ae9b6872715d6ee88d568d0ee16fb76416cb1a0c585cff861825de8cef11d864b1dc1b350911c28d64e071d8fb444bbdf740 SHA512 f8e2a6e333b0e8972febe8b9cf058c8d899c384fd177e0b6ef1c5f94e0fa18192963970cb1a2ba80e3135a8cca66cdae6796e4d84ac6b325bb369575bdfc6eea
DIST num-0.2.1.crate 9082 BLAKE2B d82bf8cf2f53ad30cee1364d65358e8421aedf66126184936d575e359307373ede66358e7672e1eedf3b8ec6a997439a077943c6f20045aa24a89bcdeb611e70 SHA512 9d094e0a29b2bb42d382d5167150418bc2ed81e8deb3c6636c99c86ca14abf5f69b82a49f1678dd110119eeaec2f476fe7a5d57e60558473a6b7c710dec7f778
DIST num-bigint-0.2.6.crate 87275 BLAKE2B a7da84e705f8aa287b6704a42ae1822ac1555d25e7f51e69b4288a808557dba2c0c15552085a67f3cbd445d518fc8d4f668f7264237263acc4248d3dd1a2c0a3 SHA512 19c1ff0ae6fdfc690ccfe4fe6008c102e50ab9bf6b1f4e4f04a348d217d4d9d538585945466b72b70713053bcfd73685d1a907e41d135265d330bde996709eb8
DIST num-complex-0.2.4.crate 24679 BLAKE2B 175ee644720b6bbff108eb4ef94d0fea8f340533c2be0e18524e54777734d1c7dc10a7c36b1f2ca3f032ddcb3dc351e60564340aa59b29aa4fa7ecb2487314c4 SHA512 53be64d6f67b1ff7d0a4e1723ae21035abfd300ab27bed0976e0c3903fe8e29f47ffe75040832ee2f81da5c2f4f671d3d845d308365b9a5a989ace99a7d463ea
DIST num-integer-0.1.43.crate 21966 BLAKE2B 9e88ee3413965cc05fdfcfcbc7e10225ec52de4f22b7078b9974eaddcd26869d72a9c68f7f19b8e95cd6e3edea8c0066fcde80742cbd3873ad8a0c19c80b399a SHA512 e0b1efbde64ce150a20fb937efdb89cc702b90d71448227f0212bda06ff88dd6beaa02d3c973ae5430d20fcb5a2e4b611d4b2b225f5d9936a803e5e67ad96fd2
DIST num-integer-0.1.44.crate 22216 BLAKE2B e1c08427e006cde6f2084adadb6086e87e6d6f8bb8dfa757a8228aa671e862a366e4bd8ca5e0500008c18bab128aead9bd5b1e53568a4f40afadcaf3882ee98f SHA512 d07e27ede02a1d007373935fd91e57a26e0e84ae14bbe24be66763baae6850788bd64ad2598d2bde4f4fad6c8a4675c40bfe0927164b16b9b69de5e9a83d9771
DIST num-iter-0.1.41.crate 10198 BLAKE2B 6e444eeb858a6f2c7e35a67c6d6fc80726bcc447c884400b9deefe0e4fd473c699616321a02b3af3e06bbee39f0213bc712d4bbe511523e16e6782b842884a3b SHA512 886f734845daac2e69be50efa612e891b2d22303995fcc2410d1e0b5c034bd207bfd0c27e81089836a2aeb25ac0954e3bb284b105e1449df04335f4d2a4d077b
DIST num-iter-0.1.42.crate 10450 BLAKE2B 8ef03f8f84bbac51a11d22ad79d745c74c4092bdd6e65b91c472967c006fb3cd6b944c4bef913465e39e6a2fd734ac2b1ce1f21b332b2faece823fe410b54340 SHA512 46b0e05c4f4587121ec300da51cbf02e04ee8f8441eb4dcaab5a2ccee3b40210f1badde56addf053fb876aed3749dfb5f01e757042573fdf99defc77fb265f3e
DIST num-rational-0.2.4.crate 21694 BLAKE2B 6e8dbb873b1c62046c3fc45eeea0533a8375224fee6537e369a6042a42f98865c010635f3723c8116c32b365f8dd553831efeac4a1fb2bd0cbb169c90d7035cd SHA512 06e55f17a1ea58fd465a232ebd687686c922669f0b561f648717164f3fcc8fe2bb43213d1e6377158d2542f633ef2e1482a7c3cef8090328c34feacf7f9bdd93
DIST num-traits-0.2.12.crate 43807 BLAKE2B 3913a6c73a928ccae330ae4592cbaf502bf3e6e43f1ba847a02d317003074a07d0d4334eac6e31a5a9220186c44e9ce80111d59203b78e50d4abfc6da4daeddc SHA512 98fe81a3747d619861c3b2789253465eed68c371d74f719885a4b5f09af1abdeb0a147baa52fe335dd4f471f82463aee65fdc9e44432dd67248d5f43e4b85377
DIST num-traits-0.2.14.crate 45476 BLAKE2B ae310d9d5640acc3e45e1e5d1d2f519539795922c0058ee940c94c94b6654b39358b7c18dd23a276f2c1b16a30dd4de4cbc8575bcda6a5c11e70665d670e6439 SHA512 c3028eca9f7b718de0db3a36cf3e462bdba43562d52c9b809ed4cc0aa6af403aea542d6d4da743cd1dd541397815a3c5a84cef4d6e40122994e4be6a62319b2e
DIST number_prefix-0.3.0.crate 6291 BLAKE2B 24b232d965aa08a092d6bd65f0d28e5a93c7948b4831ad42bae067387908513a67a81dd85dcc8a2ae7d829abd6232409abd2ed4a15c993176b1c056351177998 SHA512 014c37c477b1c99c20461dfa6deb1692d93f10c592387bdb757d9220347ec7bfce5861e82029286cf3a64e9d53427cbfc40549e358c3fbaaebeb73e91b598107
DIST number_prefix-0.4.0.crate 6922 BLAKE2B 81bd3b588c788e6865104e5ce87119b5e0c5a526042963d52cd582ff23c2f8c9f32b4c445ef0397fc402b6d047e031d8e2c67ac97e191bde22e17662eec3a554 SHA512 a43b668d7314218b86ca7451daa9dfef71f6c9f6616bc34c12d94ae6030f182bcca9da83905cb46f3d49d0aa81385a787e92e4f3ae239658067adc249f8174df
DIST once_cell-1.8.0.crate 28925 BLAKE2B 7681b1a7497b5711e663773c1a7e076f333c06c10d3f289079a781c36f050c1620cc279742ea8e5b15ec48f3d6038a6079bbda7fee3ae8e1128bd916d53ed43a SHA512 88e55c9433225ce85a08353168c87fca2237615482160a5c28f3ac17f06d48c63e0c21b5f7ef81f82ca133436e371802ea099453844f1c111003bcb6ba89e827
DIST ppv-lite86-0.2.14.crate 21543 BLAKE2B ae4bc4995df608e787bb848e7d0cd6d645117d312e78e0f04dfa482e98e3dcc2e4fccf763dd2c98a12afe67b0de0204f34caf70f95ce783f77cdae6dded76fbc SHA512 8212fc07aa3407209a31d05291a0ec0bc3f72eb661f753ed34739f0c7d2d364127cdf56628e3d13bc169d3dc7d4ff925df8ffa37431770b1288018037041b058
DIST ppv-lite86-0.2.9.crate 20933 BLAKE2B 493fb977d0db8eb4699893ed1d05758ee7cf1b5610b767a2ec352f3f430edf3d1a3bacefae554fb16eb2786fe4fb9b574c7b9961458a938da9a79b9084f062a8 SHA512 d9fe88a221733197b43db2a2a608dd2acdd9aa37129af07ad2405d66171b6f9f4c1a61530013c7f9ad69194a2e52e7480ba80c696e97cf2adaea7677052cb010
DIST predicates-2.0.3.crate 29239 BLAKE2B f99835f75d16eaecc0a472015d07510623e87e694833c81b78eb6b4da9eca2b205ca596a873e49b15ce5972fb45cc9def664fbe2d9a9697adf0e0f2b3aa74713 SHA512 d77fd2a112b2ba558e78538e766ef551485938a15e32ff03fd8bb1a5448d03b41d8790ad88d6650386970028915cd8bc99a26cc1ece21d1bea05f4fc85d16991
DIST predicates-core-1.0.2.crate 8185 BLAKE2B f2525cf9d1444c0b6cfd981fb9f8555e4e797fe2a28edcbd75e719121d55eca593249d32a708e920c83549a2240dd04f154b19e59faf740ada773c3e59d52483 SHA512 bfeee297e7bb81c1cc63908ab47f10e21e53b9f690d9aaf08855bc1824e0c87cf05c92e5a8dbc57eace7490c0ce58bbe2e178ac33ad0553ad2772593d89f8aab
DIST predicates-tree-1.0.4.crate 7682 BLAKE2B 10e32e4d316bd3bb7015a6ef6d8391381d441acdce0b54a7da2ae4f741175dad7bf92c2488809e233da45360388908f200c2a2756f17210641b0e503728cf150 SHA512 f4d4f3d58c13c9b0344832709709a677d0d1f32e80a2c1e7f38a6f214efaabfc2b8e12d4bb4ac8f0c57def9a44cfe94ce9144132cacc2b6f84002a57aeb4ae5e
DIST proc-macro2-1.0.24.crate 37716 BLAKE2B e2bdbc7cc9ea254529e322f6a2eb44002b4994fc4a00df32012f66740e8e73ae70820dd40b7fcfcf024f3c7784ab9add5cc1db37f4c72d5af5c8f00164ebc145 SHA512 c3d23a5136c55d734084ce1d76d54f237fc1003074af102c2ad96d851ac496ffc7513ddc505a68af4051c9d6de09725a0ecb6e76ebcdd77a1c056f8f9242c9be
DIST proc-macro2-1.0.30.crate 39155 BLAKE2B dd0ec47a3a54fed6cb3b03e5edb5c3e065e5644f631560595eaca028926f283ae20b3e9fe699b0b968e00d3bec6ec95437be2693ccdf22f1524dd5e4ba3f7886 SHA512 d07ddc18dcfcc163bd243c22ffa4735bc300f304c7e70bfa7caba91047b1313bfe1f18aa4707a65a40fa18115c4b32c57b23699f9a4d9b4a09fec3c8aafb1d34
DIST quote-1.0.10.crate 29960 BLAKE2B fbd4e3e0e0f452e64b30399fdfaef318cead505d05f0c61db61a7aa3cd5a3300220b4ba2656603f88bc0b535390ab4d0ec101a919ace1d442a3e979f08e8d48f SHA512 08613679b564ea7d750117d3a2907ba957d5d595bdfa8016344f99a232c72c6b08acb882dff45c34c9e4c8f93f879fb308b36125572722aac04fbc6bb0c666f0
DIST quote-1.0.7.crate 25170 BLAKE2B 9597c94ac365bb6e9d632738a88ece2da7818cb9f3fa0e755324e693eb513c76347032737025375a486319caad13c22ae13bcb257703eacdf2fdc755cbac0de2 SHA512 b7cb576c07419854f71072a88e4216f50d78196703d3d8a1068dfd0f2ccb1e417c3a865ec3be613b46e74e46654f64378f527800701f74d50352cb766a885953
DIST rand-0.6.5.crate 104814 BLAKE2B 8d94c6f135ff4b07a2236cd7b0c2ff2b80f3d391e330590bf0ece15b08a8c8a5175ea32d9d12832eeb485822446515e14408171d5f1476a27e2b9ed97aa7986f SHA512 2eb84bed29708b8ba109f4329bf6f1cac6caed9d91b2aaf185d68dd2eda73d3fb7be2897d0596fb28352e799ccf92c161ee44599d5cb426ba9c3b8c747831904
DIST rand-0.7.3.crate 112246 BLAKE2B ecc7c1bd70ac874c03bd8b7faa3016bb2d5ee5c19603280a12a45a81598f706e445971ee081e6ca410ab6f0f5f7a06d9315848cd556a2d8522a82024f6ff91e4 SHA512 f9b68ef9446f1ca2c8092c50990f15c1b4cb5529eeeac4df8d69755e0b7253c663c587775e7cb0a7298c31edb444975dda34926759306541f6d43d0d3cf57b7e
DIST rand-0.8.4.crate 87406 BLAKE2B c09358416d2425a8243b623346fe71bf6f03fddab1a23fc752f4303ba7c241b3606629e4edf0ea720785bda0bca534acd675c2de079b78eac3df24a1ad6ba654 SHA512 77ae0e988e31e12f7d3f2c40814f930eecbc94c4aced827c337be78eeeabf39fde2dc5c4fda059afdc01285ff4afe30393c32694377de004feff16207606558e
DIST rand_chacha-0.1.1.crate 11703 BLAKE2B 125fbb623b5d829c48e5b492c36585037e7fc6f12eb9090f946d05343fe867ce65db8eac913762dc20b6af2a4856e957ff43916897f3e385cc22eae64911b0a2 SHA512 200d39362ffd6d91cfe80634e951c7323a5df8a382c91e3afcef1ecb143a16dc47a17db7f1a746b18e4ea8bfd36bc31ceaeff6d0116e166f8b34e4a8530b3c1b
DIST rand_chacha-0.2.2.crate 13267 BLAKE2B 7908867ceac98243ade22e1b38f1903fe0249324484d91c948a5058a1e099e5213f325c5ba3400898c8319158ed69f4ed064164f235470856a8191bd990d5a10 SHA512 1e2117442e4ffdd834dcbf0ea1829e73202c0ff9041d5969d81a59330242145f2753f2a56de2fdbff65f26cf0d227c7d08b2094ab2f946b764aef88106a6ac84
DIST rand_chacha-0.3.1.crate 15251 BLAKE2B 645771b2c3e274f085e0837a20306b1d59f6e9032fba8eb38a6d1b30180d15e2f89ffa2a162bf6358da41e030098242d81e71dab4321980d0a4f6ddfc2974ce3 SHA512 8198c580b1b9b0429758ffa49cd8138fa3ce724f0dcf73c767ea7e55611d6a2e4c7cad9950896510def500ce4062b594386c947ac3d89425b4e5c9b04d0b8075
DIST rand_core-0.3.1.crate 15483 BLAKE2B 2e09b3b3306514c29bd7588498e79be7353de656d8cdeeb4dfc6a1ad092f15a861c2ac20591ff71f7f60d986de9a09c860de4a9f06799f04e736b31bc70a5fbe SHA512 5a7ae601124502bede760fd3179c2b28059ebc3b5983bfcb6b8fa62fb58df95cedc1aeb2734e792d894dfa4620801c13c29702f9cbee64243121575d4b6b9114
DIST rand_core-0.4.2.crate 20243 BLAKE2B 22fee5e44127eee047ad8abcd9dd828befd0feee77ee9a0bcd4dd42174b1e650f2a19f1f3b39fde937e58c17afaabf7231e2aabf214c2eb22edf3f85b73f6eec SHA512 f7ae3b690e2cc1fbf2707ee04b752bc5472433f737ab581f9872f7c5660966bc6be45f0c5d2cd8771105df6d4a9d206c55f5cc6ffc1693b46e1ae03a2883b028
DIST rand_core-0.5.1.crate 21116 BLAKE2B e74791f941a79971f2741172d489d546373c9abcb0dfbffcb7b97b858ec800b2e0c97df4ac636f3aa1b8dd6c14685edf317336d577f31b5c6cb7d89a157e547a SHA512 4f7500b35e165e6c817fdd67a50745d5497d24e554bb554705097e37258751e8755c4d6b8a69fcb5e1977708ba78620bc35d640e4e018fcd4e88d9dbdbebdcbf
DIST rand_core-0.6.3.crate 21938 BLAKE2B 7c73e2da6d423c68dbbca31f6528bdb3f42fa39b30d0951ca7058e05ce16ef09ef5e047697b33ec17720314f934512c0907aeb892df93d63abd8b63eda2b50a7 SHA512 0fc31f96ca8ebba8c179367de01458e909265e1d627ec0c5620be7c8e83d2f9570471d6ec2cb2bc4bc531505b02fc31f1165708cc1357906791c87123b06ee87
DIST rand_hc-0.1.0.crate 11644 BLAKE2B 24e9db27c6673ce657dd18e0bb5ac092c4340b818e79edf4a3ebfbd9a49759d3969c22f4357be5884192b6e6375528831683be54e1283112eb94097ff38d7d88 SHA512 808d8c167daa66a2608884d5d3f1444cdb21f8ca1c61e59fc9bdfb506a634ebb22c0143cfc0574e15313f82559fd2d117a46910eba3b4eb7e0052ec280f5cd2f
DIST rand_hc-0.2.0.crate 11670 BLAKE2B 55fd048f2524cecd4f0e17927a81111e3070a8cc6a5b0234a46445400ad5527194edf8c91fb5ad6538f4958d53044ab02424f61a38adb2931e2cb7568c458ee8 SHA512 bca185612bed5cee4da76fb68fe854105da276f5bf2da464e596d586b925df798cc692ed881e276ab77c36b4b0551930966c93656be122ad05899d87853533b0
DIST rand_hc-0.3.1.crate 11891 BLAKE2B b3aa810638390eea4245ebb711de88ccdc2a64350a5c6e14064fea7685d49746b4b77215dbb8374fa7a6cbc2cfd79fb553513d6e551acf64586d8303f7d4f3a0 SHA512 582bb44b81c27e698eb57c6f06444b8a7c9d3f7ee73f4e14be8004c4bfd3bbfd9795c69f7294b5e87107e86b90fa3e91ad080964474af81c92705d356e43fbb5
DIST rand_isaac-0.1.1.crate 16020 BLAKE2B a720ac67770133f6051720afb6681623c1b3700be9ab8f663fa8ea852132a81c1404e34aed6829c197b92996007997cbc9105cea0e125e5ff3fc931306c55da4 SHA512 9e8f6c79abc53352c971f8182dcaa7979904d5649eec9008262bb0aaf0585b4c4817351cd80ffa8d07f172ff4c82d85a09ef2642a08f608fc6be3e246ed7f82e
DIST rand_jitter-0.1.4.crate 18409 BLAKE2B f346f6856128218aad0e70e8b4b70a19f39b4b3161ae2199d893f6427ea1e2b7aed4024de311add4ea9a19de898f5b34668a4c7727c9e7b32325663eb6ddbf51 SHA512 fe3791612cf82bd0ad1a115c442b4a007141647eecd48f49dff9a5d326c374663d9bd2e511c8d292e1dba44665359b522cd5d57ccd3a18598e88e42ee1670e4a
DIST rand_os-0.1.3.crate 18965 BLAKE2B 3cd93b10a46a70e0e3ccaf1fb8ee52230d74b7d790351652a8e39323bf0dcb446d14e9229e13c14a84e93394a22e0a127f50ded11db1df8ffc0a6bd564af63a7 SHA512 01e81a692b78df3b2bd65bc285e5052ccaf208c7d0ace414f251db4fcff7f9ae1502ee60ca5745c95e778d3d5efe15fa84153c17c422b6b6bfee829376c14575
DIST rand_pcg-0.1.2.crate 10844 BLAKE2B 14150260cb41d57c59aa7251000acb1af9225b015ef8596527e1c313cb5943bc3e6c995e31b9db5a5bac41e30f36a6f7fce5a24b21d6413e74d0b3f9732cdad4 SHA512 6bc684778ba60c2e48793d4759b40cb0d35b0bc20ca0fc39fdff7c3f8fe9082dd7b5d5f26a7f17bafc6f3568924eac1bbe45820b1c2b09c91731ea5487d76d9c
DIST rand_xorshift-0.1.1.crate 8997 BLAKE2B 314192d23072fba2ac66130604d92150bf946c6f6cf88a4b337314c51777af36d8cb6189b92284e451ea078e0ca66e6a5b91a90c0c2b0ad2353ecd3e08667f68 SHA512 3205499ed2584467dedb4641a48f3ca8fedc263b1d9431d36a251af0bc4701d99ce4b5219d515b9b24210dd3ef2faace6efa886aa50f361e07f53dd0fb0841e5
DIST rdrand-0.4.0.crate 6456 BLAKE2B 330ee64d998a0358f95a3dce50b3e1bbda531a3b613db7e5ba4038a1cf7191b60be3a0f33416e05380c41040704ce52727928915e9d2f4565d39984d1c86fcd6 SHA512 6476275d124bee28747191471e8d8f321a3b1c148c1f2a7ece4175f5244a7de90afe5f99d2eba5244d886b92e38232398864bf90e6d434b09494533942c8d894
DIST redox_syscall-0.2.10.crate 23582 BLAKE2B 7253dd96415e7b70df488c208d86c250c670b1245ac6573a59085faabbde9e33fabfacd233e7d737e365493db14008c180274b41ea0a4af5f6f98eec666a873f SHA512 ef012eb4bffe32119e50ecdbef4cc31f6e84a344e94f026484fe4e2c904f94053a8b6249fb6bd8ada31b3ecfbf0096085283bb68aeb62b1b01b57f35794aee92
DIST regex-1.4.1.crate 236871 BLAKE2B 1a232e6a83e02b4fd2189142eb2e20d3f06d8d484f9012661aea99c23bfc8d56a04b993cab6a3fe85d29aca38a1b3ad5a8ea6cd5bcf3439d5d173923af9d9d1f SHA512 eb8869031ac156f10e8d031c8f5e5fab66575663b7daf4a0e86523fb3dea43e11c7bffe802d5fb7896e017e61afa856783c0541a1d414d91f322b2fbfaf8e249
DIST regex-1.5.4.crate 236581 BLAKE2B 6efaf69d1a99dc3a2e04b2d1a96b036f631e9a0ad0d3aa57263febd47f7ec12765526f06f9c52a5497bf0d9b455f1d1b39e011adc4c28530c44b65c8a453efc0 SHA512 1a9208358c4ab87c19ec91bcf5c1e35dede46f3a0c0097061b7b53fa77a1e5ad38090d243aab274956f09c491e5fbe3b3b35a91db079b82a2dde2fd9fbad4c19
DIST regex-automata-0.1.10.crate 114533 BLAKE2B 0e357229f6825f14339b1d7c40730b83e62bba12115d01ed20313320766e769a653a2fcd2c9d19af51a82c38e9e42c1a31d005e1f44f5b6fbb3ead7c9c74027f SHA512 56d64da361afce82c6cb49e70b99ce1fca3e1969c54bba5f9971db135f8544c65f49feb8827789947b3d1dcefc9c49a7a434a7ffe0d09c5900345a1733723c5f
DIST regex-automata-0.1.9.crate 114560 BLAKE2B 2bbaeaaa896479c817b7bac2f51108f8f74fda72178068c3b5e599b466899692fba8ff3ce8cd30f1f978a944a0df98f466f3d4bd340bf595d6f7048ba6f648a8 SHA512 53323733dc2f8c47ec33b5b3aefacac3a0042cff80c59c3a05ee02b581671dd9a6ebf6b0b5eeddf9cd249662731cabf5a684553daeff440bf8d1d4d296afbeb0
DIST regex-syntax-0.6.20.crate 293727 BLAKE2B ea19fdee49290481d20230e58da22d32e0cb715a93a67f98687b6fa8bfca5fea77d82399485a6be15b2a24d21fa4635c60cfe05b7132128e36a770fe86bf3c8f SHA512 65cfd5c493a066801a290d3663d5ceec738558ac7f3af9f3c3773065d9b6b02df006bedc556ee0dc377c032cf934426dea817d06f9639b837d7864f966ec94d8
DIST regex-syntax-0.6.25.crate 293293 BLAKE2B d5ca0dbc26b03c6a1818026f9a69cd226ec934e7c64094d0ebe843052b648617ffae7aa3a074f8da46d03c46996d8b547d8916576342000bd9711089b3e57d73 SHA512 a3d31f82aadc6be1796f76c03152ff24f37fe42d6ce27fb98e2f55ab102f86502bc37ccd563f6e0eba61aab20d002184c618517b678b3b93cb8f0497cc046ca5
DIST remove_dir_all-0.5.3.crate 9184 BLAKE2B ab7ef94e0230ddc9b363f038254a180881bbc20eb04a254f97e6f71ed491c99ba1c88f5e85632d450243882a4a0df63f3b8b183bc1fbca9caf30ec23d577b1d7 SHA512 50417d6d8a33912193a1ed37eb72b47431b12ae65d2780cdb7080c3d141e63819da13751c3fb737685cea322f70b36d413389c3dc01aa12b4dce615aefed0e2c
DIST rust_decimal-1.16.0.crate 102880 BLAKE2B ca154c693b316e3b0f0ce4b36838fee5669492d7f49a9083dcc8ed942a44ee4a8c93b25bd6d4fd51b1eaefd1e2e658babff8bf23ed35c9144bab62d7df9c1d86 SHA512 a494ae0516c2fa561ebfdb6a50764cf1816cbba88ebf510d8558f579ac159ead75bb6c8f2d50942ca73c9a91642e679d8a11eae3b5945d31e47706df80d939a7
DIST rust_decimal-1.8.1.crate 48138 BLAKE2B 607e6948d57a2ad2314293dafa7e88eddbed0cb3ebe25e8d9512d1564fc09b815391efcd31b7de5ef97498b1621a01d20bf86ac317eaff79316b084bfebac6d6 SHA512 2bdadd1ab4c51d8f15229f92a511a09aaebdf96a90e39f0212e015d9c059fcd1e108a5596dbc9338bb0a0e8ad5bce6e332f1a2f1432703250b8ed32beb1cf811
DIST ryu-1.0.5.crate 49570 BLAKE2B 3bfba4a5f290a429de7ac3b86823b2a973f40eb6f48c15329173d95964d31ada36f2618be4b36774a03f97f2ce61364900c6a3ad5465a294e2df311a1f4104ed SHA512 d1708ffa3112a684edf2956b6730ead040401d38f1457cde074eaaa59c249007dc8b925629e7f6df89f7ea757e9d0826649d685cc8ede0a04d50296048bf476c
DIST serde-1.0.117.crate 74505 BLAKE2B 59c5243dc10c00762659ef6352dbec857966540810117990f49eb1d19de435284151f8f0211000c264e7f7c6d3d4ada45c695384d397b31daae32d95efa13048 SHA512 77001954c9f1f7eb11c7a6293454dc0c581e536f4a07368dfcf62b744f42b620a6de8c67ca89138291b964d17f198274e2372fb72a9905dbbafe56276c5a9d5b
DIST serde-1.0.130.crate 75305 BLAKE2B 3973b70d8e06ab7c2f35e19f23739e8e4dd75dcdcddd818771be5daca8c61f6e2a7a830b4ccb8b3e3898769d7afdeb39ff217bcbf40bbd00867c13bc4668f905 SHA512 e6d6444abadcdac95ff15cdab53736adc9ddd1b6441d67158b6b41e68bee4b7763f9c2d80a857f879f40620429e8f04a90b01380c8c88da45a273c3ad13cfff3
DIST serde_derive-1.0.117.crate 50712 BLAKE2B 59bf7592d80ab2085899e256e325e0e43c69ba2134ff423e0612f31cdc1629e9d519be538538546f21067ccc460d07619a3fb2312bb31263a63ec4f624fad788 SHA512 072c761421d10c1b25d545991c0ba9ef6dfaa1a6fa8797abd4a2a194b121588d25942ce662df9b4c5de2fea229d6c06c7963224ed80e3fa11fac07f6dee3f72d
DIST serde_derive-1.0.130.crate 54703 BLAKE2B 35db74464913a93da88b80cf29e4983bcc4377e397618064b1cb397ecbc9e6620c863e4d365153d03ab77ec6dbe9b1d03f8f86aba1adb76fc6d697f39ea7316f SHA512 d3ca974bf8856ed8a73af4eaff69941b35eef187d7e348d6d2ef9ee79eccad893e66270c7d814ac3871e09e21e603d34d7d1f24b182d9b39e9219acd42a7baa8
DIST serde_json-1.0.59.crate 114956 BLAKE2B 27552d21b80d88cc3c643b25e5f0105c0d79a7c74c5bc3c2cdcc68050103ad73b75f7ee9d1d5afb60adbae33c351091b180cb1f8aa17c80f06cce4fb4c57f2d8 SHA512 2f9bf96fa770f9be9c43fc889e1671e9bb883f49a820aa69a1709d9f679f21f01cef2b771eea4d1fe7994cf850af44577710521fffdc4cc46d0dc6f913842075
DIST serde_json-1.0.68.crate 114986 BLAKE2B a588a87ac9fe2b3635d7bf72c185801e3866101020a0afb8f714d37939c2dc7b5b32e2177910df7221df197e4e8a92d92187968efdb5e9f1f1616647c10d81d3 SHA512 54a0345029016873883dbdcd2094615f509759f61b04d9a496dfdbc1e27ee5361dfb3d129f209a9ad66984cc1f4c82751adfe1a564198649ecc939e8c3dd1ac5
DIST shell-words-1.0.0.crate 9798 BLAKE2B b2511d6a956842346f672edc9a3a3554af6d424c3ccad4244c190a7edb5c6d9f18166d91a90ce2c4e86239b858cb04f36f3cb2ac0f1e64926bbc8377f3745d57 SHA512 f1de4606bb249fca7dea437464ef560aa49839382716b9c940738547a5def28337501d9ba77d96a63ecb956d3c49867d6f4742f14946448a2c9d0b1ecea9ebc9
DIST statistical-1.0.0.crate 5822 BLAKE2B 50831be2f93287030fb5f9efcec19e480182457401f4ba5b05f01508f6b53581576cc522be43bf2ea44379895c192c2b5090da22ffa507e127971f9100390142 SHA512 00f58a7e1b8c818336fdf55def5a46b1347c5961b4fc27d156fc03f5c197af6f53f23485eea80b2b3ca6ce2acfb304fa4846904d85c6290d1750ad4b5a635c22
DIST strsim-0.8.0.crate 9309 BLAKE2B 40a8be506c43ee1ffe006ddc7dee98c3d418bdd205d57b78f5d1e4c9312feb57e1eaf952e02d92d4e0932db240c6fba45beb06ea8c4fc6de1cf1faa8b6a3a939 SHA512 1d55a8d946cd55f5f37d06aea536549ded95739fa58c0f2da285a0041154c181f663682bdcac643aa198b3e762d694a04f058db985c62ebe22b5c16327ba6d34
DIST syn-1.0.44.crate 225524 BLAKE2B 1e96512143ae8fc2e0c904ec5dd3ef21aeb21a4c16e895c22b46f42a80dc7e56d494b8b225c874b9bdc4895ffbeaf23ee4b7986715c38c987c16a1acac72d90a SHA512 b4215f7fa6373c4c283b872d9464dce40254e7236912d868007e0c9d6c868098dbb50ad218d512d5d1d2f13670dc0562b2f8f1cc758868bbe548bbad888fa774
DIST syn-1.0.80.crate 234102 BLAKE2B 97e13bdf99f9d50b352eaf87ceb1cf27f74e59df7e40ef28508cc387f78c8472111aaeb5902e1e577e157cd16c7f431c2faf461cdf2554876a3d0ad7662d34f9 SHA512 3eb437757f25c1a10db8f9b10f21cc4de77be1aabd910f1618edd43ad309ef9142ef08def4cf6b2d7470165a7dd0783b28da54847678e22f2b2dcb2b4dad3c2d
DIST tempfile-3.2.0.crate 25892 BLAKE2B ea6870c642c5712c7c96072a5d3dc04d75c19cf1413081e3bf53c1ae6c75e05ab537446071cadb5460b34f7fb7715a03005a1335a64139458db938c3415f7c0d SHA512 56d1c5af7cb6863f9eac990354126979534aae7bf298bc8b1c918c7317ce2ba31f53089aaa1ecf8baa4a39d4111d74f4450be82b509b3c2aa0428880029e663a
DIST term_size-0.3.2.crate 10917 BLAKE2B 2302faf4cc03e0e40e4b4b0ca79cea5e70caed8087a16f2b985673476041d19ee6908bb17931b453e63a89e33158f7e01875716879964664487fb26395ff7f49 SHA512 7e820ca667f841719e82cf97e90bd2546cdd7ecd4834c68f8eeadd2e530bb13ced1d058ea7beda5db77eabacfaef64b8c3699c482bd912ff570f6ab78149dc88
DIST terminal_size-0.1.13.crate 8094 BLAKE2B b46de1f0dfdd6f4dd44c21a5cd7936cd9fef67d96be44775c29f3850e39b94f200c719bd0c0c31727725f1741ee9640a83c1f3083a45ed665db7f03e50793826 SHA512 75efac1092c6919efc7d427e3cf7d4c36a4d12b3d5c38ee35f94ddf2fb0efcc16fb92e608382905475d5de3078e9c64a29ec77816572797fdfb53a6708eaf266
DIST terminal_size-0.1.17.crate 9141 BLAKE2B 048d8e8e9dad08aecde12323681d428b9182afb737136cd6699e13d231f7882091c9167cb10a08e5151df912421a6f89132645627e42ccc73d07553cadb1c8cd SHA512 96ec1bc8abd597f01ae59da567036d5d40b422764a4da662e2030c3ef4ce80a983c8b6a4ef1f34d88e649e0b1ea27b206d56a31924bcd2d31ff7e5a2e96d4201
DIST termios-0.3.3.crate 17103 BLAKE2B 855b1115d02dcb275ea772dec3db383f9a6f84c14876ac037a5e3bbd1e71e26d3adc64e41521145093256acbea56c28b6c14f7e3e2bc9fda37e7cea113abe214 SHA512 3d4cacdaa8bbbd9083a050e723c93510829210f5ca8eb806e661a3a1e3c8aee33565142c5df34fca74aad0d26319525ee70ca6faf3f55a29427423d37fda43ff
DIST termtree-0.2.1.crate 6375 BLAKE2B dc668ef88ec67f42bd0bbe3ff0bb0c48ed436b1e727c0f5c04fc839c3849efe4ad80148488bc926b9017bd9548c60c56f74ed3e692735fcf773744b22f25d494 SHA512 a958c250849a1c8a181a70d644ad93f323991ab4778bbe537ac18c3b41687107a15a1f30a5d32f6cc665db67e6db21346033039f662a2af5f599dd4a0da62519
DIST textwrap-0.11.0.crate 17322 BLAKE2B 257428908342774593bbd3528fcdae710712ff54e8a711393a24356d8ba0e16e466a4b20c05f942c48ca76b3b5b5aaa90ec202f782cad892caa8b71ccf124da6 SHA512 f5c0fe4f28ff1a3a0931e8e235b5157a45f67967985bcc752418c5ec3481fca44a8ae4800088889b37e8cd0533f53d3c456d5ffd19b767b3f83a87b49a2e209a
DIST unicode-width-0.1.8.crate 16732 BLAKE2B 5aa7b87eef1322e4151a3fcf981ade311b8fa030527d7561815950e58d3f15156163dfe34da6a708c37dccc3f7652bf7fc2cd899fe8bb0118b67c4113ff3a2d2 SHA512 0abba6da6981a2451e01d93bbd47652c46eb6fb07cc0214f33259fb29945bfd5ee2b302e883ddca8f68e921635f222701b7310e7da2a5e225f854980d1e474b0
DIST unicode-width-0.1.9.crate 16745 BLAKE2B 38d4b92e47a284d6881a8073089be59a73d82b91efe5522f55be977f95f479890b6c02cd519544729f1b1e62eb21bcfff8c5f5382917f953603b760e39cf1ea7 SHA512 0f5ec46c57e3b5e50cb8430c89db8d9c129e80ca11a9c398b5312bfe95001e19ca3efbfeb01c3ac09c4ce7e26c6ee1f352f7e114ecef78cefd68c54d2d50f5f4
DIST unicode-xid-0.2.1.crate 14392 BLAKE2B 7f8f91b9c4df55f2137b754208d4f2997a290acfc9393ee2dcda8195eda25cb342e56ad123f56bb298d93db5248a749c18a982423c9a0e85ce93f7a1eb55d289 SHA512 91e862137e837baea82829431cfed36634fdb05339f00c756eb5a4b429ef0bb871f5133d11adf9a023fa22168c8a0cf194ff3669779f04f219d48fc4fac339d2
DIST unicode-xid-0.2.2.crate 14955 BLAKE2B 6c6da49ac08dbd8b3248272224d6bff96b9cd1f36029b1937a58a0b929c3a48326053305ed49e73edd70f572f5abbc4817cedc899c69e3457805ad056669f6af SHA512 92ffd0dd34e3ca235ecf110b38c447d3ec1faa23d76c112457f28d432f92fa6b5f428bc5e1bfd278f361f55426dd96e19ecb0d3eff6cf250892f069c52bd89a8
DIST vec_map-0.8.2.crate 14466 BLAKE2B 8f109fbff19604b82ea2aa61c952e2ce9b5597ccc8e1ef4e847648e2de08dece8c4debe92889edeccb8d393645fd0b62436b49d236ded7ad181c4a51239a9539 SHA512 4f1ef59bc2c437e79f1f84fe021bce5aa8ccd581f500f3d5776913d5f17d45b03ccee64f5bd03d47656318cfc9344a1f4311079d471fa409a8e4e94c143973f9
DIST version_check-0.9.2.crate 11979 BLAKE2B 6568f8d4652fb470162bb2251be2260a6bf83e107a4f957ed91117938d5da48c42bedfb5e6622bcd6c37950805666b78984577bd8dae687dbb39e452078bd97c SHA512 b88a9d545ef103fe6d0eebe7ddcf328fc21fcb02c60828b347cfc35afd957669e652a94d880ef992450c167df3505838bc649e0d83896542fa13a149875acf26
DIST wait-timeout-0.2.0.crate 12441 BLAKE2B a99d3f57bc6e784ac06167f98b2dc2841f730dfab4fb9772b15e67707f756d6ba7daeb3e992d32291bed3daa85eaa8a8ddde64db5e1acf1cc4031fc9bdc82212 SHA512 db3b7aa2acfd44e64451042b8ba98eecab77a82aa5c58ed08dadb119ab36dee4e26d62baad7978ed56d5ad03019c96be5021455362290f56043981137bac8066
DIST wasi-0.10.2+wasi-snapshot-preview1.crate 27505 BLAKE2B 4eb8644b945633d6e856ad80dd74990be19eb6af99823b147163384f61d471e2d9ec054d78a7064072344be53783e57073e8fffc6d5555c149b4834a9bf31dba SHA512 06977a294d76369a3867c45abdd8a87ea5c84e5a3681075ba0d14af1aee3114ff24495c7e7f7fe1e6e42230e65fba0e062898e69bc89e0209af62c2d14094ec7
DIST wasi-0.9.0+wasi-snapshot-preview1.crate 31521 BLAKE2B 716bdd2ec46d0bc9911c5e5e29fc783840559931b2563d8619675fc11da9527ddbe653a0f1ce0b782ee0c5f7a3131aba2b0867d415f003aa9c2389357569e7dc SHA512 dbe641f796ee3a5daafcaafc911ecc6dff170340f477c2df7a61fb4858a85aefc2637c9e61973ecce66a987aa8e08a736273a4aad3ef47eaf61ed4268dbf9c47
DIST winapi-0.3.9.crate 1200382 BLAKE2B cb5799749ccd935ea2d7068d953cecf19f543d9db7dc16ad4584bb7005373ada34937a3ced7225544d8bc765da599911c7a3190efefb3a25b7c1bb7123b4f673 SHA512 ff8b7b78065f3d8999ec03c725a0460ebc059771bf071c7a3df3f0ecd733edf3b0a2450024d4e24e1aedddaecd9038ce1376c0d8bbf45132068cf45cf4a53a97
DIST winapi-i686-pc-windows-gnu-0.4.0.crate 2918815 BLAKE2B 4d357e4d30f9552972170d65b9a5358b69c46a3e772fe05efc22f3d4ffc1caeeaad7aacdc7abd503a7ad0545f8bd7d22bf351dcb6df76f812fa4d45c34d65df0 SHA512 a672ccefd0730a8166fef1d4e39f9034d9ae426a3f5e28d1f4169fa5c5790767693f281d890e7804773b34acdb0ae1febac33cde8c50c0044a5a6152c7209ec2

125
app-benchmarks/hyperfine/hyperfine-1.12.0.ebuild

@ -0,0 +1,125 @@
# Copyright 2020-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
CRATES="
aho-corasick-0.7.18
ansi_term-0.11.0
approx-0.5.0
arrayvec-0.5.2
assert_cmd-2.0.2
atty-0.2.14
autocfg-0.1.7
autocfg-1.0.1
bitflags-1.3.2
bstr-0.2.17
cfg-if-1.0.0
clap-2.33.3
cloudabi-0.0.3
colored-2.0.0
console-0.15.0
csv-1.1.6
csv-core-0.1.10
difflib-0.4.0
doc-comment-0.3.3
either-1.6.1
encode_unicode-0.3.6
float-cmp-0.9.0
fuchsia-cprng-0.1.1
getrandom-0.2.3
hermit-abi-0.1.19
indicatif-0.16.2
itertools-0.10.1
itoa-0.4.8
lazy_static-1.4.0
libc-0.2.104
memchr-2.4.1
normalize-line-endings-0.3.0
num-0.2.1
num-bigint-0.2.6
num-complex-0.2.4
num-integer-0.1.44
num-iter-0.1.42
num-rational-0.2.4
num-traits-0.2.14
number_prefix-0.4.0
once_cell-1.8.0
ppv-lite86-0.2.14
predicates-2.0.3
predicates-core-1.0.2
predicates-tree-1.0.4
proc-macro2-1.0.30
quote-1.0.10
rand-0.6.5
rand-0.8.4
rand_chacha-0.1.1
rand_chacha-0.3.1
rand_core-0.3.1
rand_core-0.4.2
rand_core-0.6.3
rand_hc-0.1.0
rand_hc-0.3.1
rand_isaac-0.1.1
rand_jitter-0.1.4
rand_os-0.1.3
rand_pcg-0.1.2
rand_xorshift-0.1.1
rdrand-0.4.0
redox_syscall-0.2.10
regex-1.5.4
regex-automata-0.1.10
regex-syntax-0.6.25
remove_dir_all-0.5.3
rust_decimal-1.16.0
ryu-1.0.5
serde-1.0.130
serde_derive-1.0.130
serde_json-1.0.68
shell-words-1.0.0
statistical-1.0.0
strsim-0.8.0
syn-1.0.80
tempfile-3.2.0
term_size-0.3.2
terminal_size-0.1.17
termtree-0.2.1
textwrap-0.11.0
unicode-width-0.1.9
unicode-xid-0.2.2
vec_map-0.8.2
wait-timeout-0.2.0
wasi-0.10.2+wasi-snapshot-preview1
winapi-0.3.9
winapi-i686-pc-windows-gnu-0.4.0
winapi-x86_64-pc-windows-gnu-0.4.0
"
inherit bash-completion-r1 cargo
DESCRIPTION="A command-line benchmarking tool (runs other benchmarks)"
HOMEPAGE="https://github.com/sharkdp/hyperfine"
SRC_URI="https://github.com/sharkdp/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
$(cargo_crate_uris ${CRATES})"
LICENSE="Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 Boost-1.0 ISC MIT MPL-2.0 Unlicense"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc64"
QA_FLAGS_IGNORED="usr/bin/${PN}"
src_install() {
local build_dir="$(dirname $(find target/ -name ${PN}.bash -print -quit))"
newbashcomp "${build_dir}/${PN}.bash" "${PN}"
insinto /usr/share/zsh/site-functions
doins "${build_dir}/_${PN}"
insinto /usr/share/fish/vendor_completions.d
doins "${build_dir}/${PN}.fish"
cargo_src_install
doman doc/hyperfine.1
einstalldocs
}

BIN
app-dicts/Manifest.gz

2
app-dicts/myspell-ru/myspell-ru-20180627.ebuild

@ -20,7 +20,7 @@ SRC_URI="https://extensions.libreoffice.org/${EXT}/${DICT}/0-4.3/@@download/file
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv sparc ~x86 ~amd64-linux"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv sparc x86 ~amd64-linux"
src_prepare() {
default

BIN
app-editors/Manifest.gz

24
app-editors/jedit/files/jedit-5.2.0-build-xml.patch

@ -1,24 +0,0 @@
From 4dc53a4c320af0894bd600c77d4432c414cdee16 Mon Sep 17 00:00:00 2001
From: Sebastian Pipping <sebastian@pipping.org>
Date: Sat, 8 Aug 2015 00:05:20 +0200
Subject: [PATCH] Do not have target "build" call target "test"
---
build.xml | 1 -
1 file changed, 1 deletion(-)
diff --git a/build.xml b/build.xml
index f34934f..da5272a 100644
--- a/build.xml
+++ b/build.xml
@@ -504,7 +504,6 @@
</copy>
</contrib:then>
</contrib:if>
- <antcall target="test" />
</target>
<target name="build-exe-launcher"
--
2.5.0

BIN
app-emulation/Manifest.gz

1
app-emulation/wine-vanilla/Manifest

@ -1,6 +1,7 @@
DIST gentoo-wine-patches-20200523.tar.xz 59740 BLAKE2B 951d7f305a6e5b3759c8095629d48de4830b8a0c9558de859a9e02d9824fe85553fda2bc0820ca97022a0ca63ac28473dadfe827821220445dbf1a7fd15c7c98 SHA512 46eea45c982b475e3ff444cbd87c6a0a235fc8dcaf3d83d89655a10ed8841a9ddb09e5a638a05803f3bf2c3bd34165c16067aba561efa4c183ee396dc31cdf75
DIST gentoo-wine-patches-20210925.tar.xz 59836 BLAKE2B c6d41db309bf0470d0e8ef771d791240209f77d967031943232218e8e737987a4a74847d89d6bf8739ff0698b28b656a8b9ac830ee1da457be2aab27ededb123 SHA512 721d4d7b6a2c4336555a7faed7202a8ad6872ee37e4daea6fab2b5ff5bf5d73ce41f25d0bd4fd9b45e2c522cb19c1349144a40be32ccdd7ded7f61055d6d85c8
DIST wine-6.0.1.tar.xz 24210540 BLAKE2B 2075e59024e75594e0be0851db33981ebfcc57477bb9864055a938db0e39b8480f3c501b1d1fc39a9eee52303ad71ef71d24a0fb546697eecf3bb098f13317f1 SHA512 06b720d6adbbb7e2f15b963e4f3f1ff06e6d0d3973064d866ae720e6380bab8881fd1ebf16665435f5f7976b2c6dc72fd20631678a28e9d4d7b068c30cd22bb0
DIST wine-6.0.2.tar.xz 24217772 BLAKE2B 176614736055892b7203313edc52e2926807c93b0bb97d59f65fbf284fd9cb138e4555fb7cd5a6c7c867367fdc50c89f12d7360ca0db947a7f04594f35f14775 SHA512 6cf002c6a06161665614c9f977dfa402bae8e657c0744dd824575066cdeb676bb9d61ebfc3c4b6f76486077a7457fe91cbe5bbadb467279a61e5a320da587696
DIST wine-6.17.tar.xz 24838704 BLAKE2B 98014c8226db703a62e7c9e73eb5d76a10eb751e81e0f20bf409099bca4ce5a996f67401e6f39b140671c82aded8c7ccd483199990e55c9590715651ea5ae0db SHA512 87550105e27afedc02084172bbb84793891db711ee443bb2626fea56e720517205a06944198c1d05958d47025ad31d9c890d539cd9e60fadfe2947d83325a658
DIST wine-6.18.tar.xz 24860880 BLAKE2B 411b74e92bf895f20e53ad7a203bd3fe84f1b414d8720b402bc17150fd663161e65be05b1fd5630dcc7a32fc6eba27dd0685f7b852dfb5852ea4f7fdb5af15a5 SHA512 d8f54f8fbb61b4af2a6f97328d33b0389ab0fb6a9dac97b2832af3d911a9f23c08653f40ec77f7c0eedd694c4a1c1228fe9dd4d859d8b3d7419e21847de7bcfe
DIST wine-6.19.tar.xz 24894356 BLAKE2B 227424c5ff4887b8adca1452ded242d20793d8b5ea8cc8fc94d73f18d294bda5674d48102d6f61e6a5b0e1f76aaa4885ec530bd96b1ea70923bae479254d59d2 SHA512 6d58bca9a4b8ed94f34a532da6403341f325a30d8e1b78997de009ecaafad655d15733823d7d1c8bd906efc568a649f8b7bee5c10f2e271e449d6e1eaa8f7ce4

578
app-emulation/wine-vanilla/wine-vanilla-6.0.2.ebuild

@ -0,0 +1,578 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PLOCALES="ar ast bg ca cs da de el en en_US eo es fa fi fr he hi hr hu it ja ko lt ml nb_NO nl or pa pl pt_BR pt_PT rm ro ru si sk sl sr_RS@cyrillic sr_RS@latin sv ta te th tr uk wa zh_CN zh_TW"
PLOCALE_BACKUP="en"
inherit autotools eapi7-ver estack eutils flag-o-matic gnome2-utils multilib multilib-minimal pax-utils plocale toolchain-funcs virtualx xdg-utils
MY_PN="${PN%%-*}"
MY_P="${MY_PN}-${PV}"
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://source.winehq.org/git/wine.git"
EGIT_BRANCH="master"
inherit git-r3
SRC_URI=""
else
MAJOR_V=$(ver_cut 1)
SRC_URI="https://dl.winehq.org/wine/source/${MAJOR_V}.0/${MY_P}.tar.xz"
KEYWORDS="-* ~amd64 ~x86"
fi
S="${WORKDIR}/${MY_P}"
GWP_V="20200523"
PATCHDIR="${WORKDIR}/gentoo-wine-patches"
DESCRIPTION="Free implementation of Windows(tm) on Unix, without external patchsets"
HOMEPAGE="https://www.winehq.org/"
SRC_URI="${SRC_URI}
https://dev.gentoo.org/~sarnex/distfiles/wine/gentoo-wine-patches-${GWP_V}.tar.xz
"
LICENSE="LGPL-2.1"
SLOT="${PV}"
IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc +faudio +fontconfig +gecko gphoto2 gsm gssapi gstreamer +jpeg kerberos kernel_FreeBSD +lcms ldap mingw +mono mp3 netapi nls odbc openal opencl +opengl osmesa oss +perl pcap +png prelink pulseaudio +realtime +run-exes samba scanner sdl selinux +ssl test +threads +truetype udev +udisks +unwind usb v4l vkd3d vulkan +X +xcomposite xinerama +xml"
REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
X? ( truetype )
elibc_glibc? ( threads )
osmesa? ( opengl )
test? ( abi_x86_32 )
vkd3d? ( vulkan )" # osmesa-opengl #286560 # X-truetype #551124
# FIXME: the test suite is unsuitable for us; many tests require net access
# or fail due to Xvfb's opengl limitations.
RESTRICT="test"
COMMON_DEPEND="
X? (
x11-libs/libXcursor[${MULTILIB_USEDEP}]
x11-libs/libXext[${MULTILIB_USEDEP}]
x11-libs/libXfixes[${MULTILIB_USEDEP}]
x11-libs/libXrandr[${MULTILIB_USEDEP}]
x11-libs/libXi[${MULTILIB_USEDEP}]
x11-libs/libXxf86vm[${MULTILIB_USEDEP}]
)
alsa? ( media-libs/alsa-lib[${MULTILIB_USEDEP}] )
capi? ( net-libs/libcapi[${MULTILIB_USEDEP}] )
cups? ( net-print/cups:=[${MULTILIB_USEDEP}] )
faudio? ( app-emulation/faudio:=[${MULTILIB_USEDEP}] )
fontconfig? ( media-libs/fontconfig:=[${MULTILIB_USEDEP}] )
gphoto2? ( media-libs/libgphoto2:=[${MULTILIB_USEDEP}] )
gsm? ( media-sound/gsm:=[${MULTILIB_USEDEP}] )
gssapi? ( virtual/krb5[${MULTILIB_USEDEP}] )
gstreamer? (
media-libs/gstreamer:1.0[${MULTILIB_USEDEP}]
media-plugins/gst-plugins-meta:1.0[${MULTILIB_USEDEP}]
)
jpeg? ( virtual/jpeg:0=[${MULTILIB_USEDEP}] )
kerberos? ( virtual/krb5[${MULTILIB_USEDEP}] )
lcms? ( media-libs/lcms:2=[${MULTILIB_USEDEP}] )
ldap? ( net-nds/openldap:=[${MULTILIB_USEDEP}] )
mp3? ( >=media-sound/mpg123-1.5.0[${MULTILIB_USEDEP}] )
netapi? ( net-fs/samba[netapi(+),${MULTILIB_USEDEP}] )
nls? ( sys-devel/gettext[${MULTILIB_USEDEP}] )
odbc? ( dev-db/unixODBC:=[${MULTILIB_USEDEP}] )
openal? ( media-libs/openal:=[${MULTILIB_USEDEP}] )
opencl? ( virtual/opencl[${MULTILIB_USEDEP}] )
opengl? (
virtual/glu[${MULTILIB_USEDEP}]
virtual/opengl[${MULTILIB_USEDEP}]
)
osmesa? ( >=media-libs/mesa-13[osmesa,${MULTILIB_USEDEP}] )
pcap? ( net-libs/libpcap[${MULTILIB_USEDEP}] )
png? ( media-libs/libpng:0=[${MULTILIB_USEDEP}] )
pulseaudio? ( media-sound/pulseaudio[${MULTILIB_USEDEP}] )
scanner? ( media-gfx/sane-backends:=[${MULTILIB_USEDEP}] )
sdl? ( media-libs/libsdl2:=[haptic,joystick,${MULTILIB_USEDEP}] )
ssl? ( net-libs/gnutls:=[${MULTILIB_USEDEP}] )
truetype? ( >=media-libs/freetype-2.0.0[${MULTILIB_USEDEP}] )
udev? ( virtual/libudev:=[${MULTILIB_USEDEP}] )
udisks? ( sys-apps/dbus[${MULTILIB_USEDEP}] )
unwind? ( sys-libs/libunwind[${MULTILIB_USEDEP}] )
usb? ( virtual/libusb:1[${MULTILIB_USEDEP}] )
v4l? ( media-libs/libv4l[${MULTILIB_USEDEP}] )
vkd3d? ( >=app-emulation/vkd3d-1.2[${MULTILIB_USEDEP}] )
vulkan? ( media-libs/vulkan-loader[${MULTILIB_USEDEP}] )
xcomposite? ( x11-libs/libXcomposite[${MULTILIB_USEDEP}] )
xinerama? ( x11-libs/libXinerama[${MULTILIB_USEDEP}] )
xml? (
dev-libs/libxml2[${MULTILIB_USEDEP}]
dev-libs/libxslt[${MULTILIB_USEDEP}]
)"
RDEPEND="${COMMON_DEPEND}
app-emulation/wine-desktop-common
>app-eselect/eselect-wine-0.3
!app-emulation/wine:0
dos? ( >=games-emulation/dosbox-0.74_p20160629 )
gecko? ( app-emulation/wine-gecko:2.47.2[abi_x86_32?,abi_x86_64?] )
mono? ( app-emulation/wine-mono:5.1.1 )
perl? (
dev-lang/perl
dev-perl/XML-Simple
)
pulseaudio? (
realtime? ( sys-auth/rtkit )
)
samba? ( >=net-fs/samba-3.0.25[winbind] )
selinux? ( sec-policy/selinux-wine )
udisks? ( sys-fs/udisks:2 )"
# tools/make_requests requires perl
DEPEND="${COMMON_DEPEND}
sys-devel/flex
>=sys-kernel/linux-headers-2.6
virtual/pkgconfig
virtual/yacc
X? ( x11-base/xorg-proto )
prelink? ( sys-devel/prelink )
xinerama? ( x11-base/xorg-proto )"
# These use a non-standard "Wine" category, which is provided by
# /etc/xdg/applications-merged/wine.menu
QA_DESKTOP_FILE="usr/share/applications/wine-browsedrive.desktop
usr/share/applications/wine-notepad.desktop
usr/share/applications/wine-uninstaller.desktop
usr/share/applications/wine-winecfg.desktop"
PATCHES=(
"${PATCHDIR}/patches/${MY_PN}-5.0-winegcc.patch" #260726
"${PATCHDIR}/patches/${MY_PN}-4.7-multilib-portage.patch" #395615
"${PATCHDIR}/patches/${MY_PN}-2.0-multislot-apploader.patch" #310611
"${PATCHDIR}/patches/${MY_PN}-5.9-Revert-makedep-Install-also-generated-typelib-for-in.patch"
)
PATCHES_BIN=()
# https://bugs.gentoo.org/show_bug.cgi?id=635222
if [[ ${#PATCHES_BIN[@]} -ge 1 ]] || [[ ${PV} == 9999 ]]; then
DEPEND+=" dev-util/patchbin"
fi
wine_compiler_check() {
[[ ${MERGE_TYPE} = "binary" ]] && return 0
# GCC-specific bugs
if tc-is-gcc; then
# bug #549768
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) -le 2 ]]; then
ebegin "Checking for gcc-5 ms_abi compiler bug"
$(tc-getCC) -O2 "${PATCHDIR}/files/pr66838.c" -o "${T}"/pr66838 || die
# Run in subshell to prevent "Aborted" message
( "${T}"/pr66838 || false ) >/dev/null 2>&1
if ! eend $?; then
eerror "64-bit wine cannot be built with gcc-5.1 or initial patchset of 5.2.0"
eerror "due to compiler bugs; please re-emerge the latest gcc-5.2.x ebuild,"
eerror "or use gcc-config to select a different compiler version."
eerror "See https://bugs.gentoo.org/549768"
eerror
return 1
fi
fi
# bug #574044
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) = 3 ]]; then
ebegin "Checking for gcc-5-3 stack realignment compiler bug"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${PATCHDIR}/files/pr69140.c" -o "${T}"/pr69140 ) >/dev/null 2>&1
if ! eend $?; then
eerror "Wine cannot be built with this version of gcc-5.3"
eerror "due to compiler bugs; please re-emerge the latest gcc-5.3.x ebuild,"
eerror "or use gcc-config to select a different compiler version."
eerror "See https://bugs.gentoo.org/574044"
eerror
return 1
fi
fi
fi
# Ensure compiler support
if use abi_x86_64; then
ebegin "Checking for 64-bit compiler with builtin_ms_va_list support"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 "${PATCHDIR}/files/builtin_ms_va_list.c" -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
if ! eend $?; then
eerror "This version of $(tc-getCC) does not support builtin_ms_va_list, can't enable 64-bit wine"
eerror
eerror "You need gcc-4.4+ or clang 3.8+ to build 64-bit wine"
eerror
return 1
fi
fi
}
wine_build_environment_check() {
[[ ${MERGE_TYPE} = "binary" ]] && return 0
if use abi_x86_64; then
if tc-is-gcc && [[ $(gcc-major-version) -lt 4 || ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 4 ) ]]; then
eerror "You need gcc-4.4+ to compile 64-bit wine"
die
elif tc-is-clang && [[ $(clang-major-version) -lt 3 || ( $(clang-major-version) -eq 3 && $(clang-minor-version) -lt 8 ) ]]; then
eerror "You need clang-3.8+ to compile 64-bit wine"
die
fi
fi
if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -le 3 ]]; then
ewarn "GCC-5.0-5.3 suffered from compiler bugs and are no longer supported by"
ewarn "Gentoo's Toolchain Team. If your ebuild fails the compiler checks in"
ewarn "the configure phase, either update your compiler or switch to <5.0 || >=5.4"
fi
if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -eq 4 ]]; then
if has "-march=i686" ${CFLAGS} && ! has "-mtune=generic" ${CFLAGS}; then
ewarn "Compilation can hang with CFLAGS=\"-march=i686\". You can temporarily work"
ewarn "around this by adding \"-mtune=generic\" to your CFLAGS for wine."
ewarn "See package.env in man 5 portage for more information on how to do this."
ewarn "See https://bugs.gentoo.org/show_bug.cgi?id=613128 for more details"
fi
fi
if use abi_x86_32 && use opencl && [[ "$(eselect opencl show 2> /dev/null)" == "intel" ]]; then
eerror "You cannot build wine with USE=opencl because intel-ocl-sdk is 64-bit only."
eerror "See https://bugs.gentoo.org/487864 for more details."
eerror
return 1
fi
}
wine_env_vcs_vars() {
local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
local pn_live_val="${pn_live_var}"
eval pn_live_val='$'${pn_live_val}
if [[ ! -z ${EGIT_COMMIT} ]]; then
eerror "Commits must now be specified using the environmental variables"
eerror "EGIT_OVERRIDE_COMMIT_WINE"
eerror
return 1
fi
}
pkg_pretend() {
wine_build_environment_check || die
# Verify OSS support
if use oss && ! use kernel_FreeBSD; then
if ! has_version ">=media-sound/oss-4"; then
eerror "You cannot build wine with USE=oss without having support from a"
eerror "FreeBSD kernel or >=media-sound/oss-4 (only available through external repos)"
eerror
die
fi
fi
if use mingw && use abi_x86_32 && ! has_version "cross-i686-w64-mingw32/gcc"; then
eerror
eerror "USE=\"mingw\" is currently experimental, and requires the"
eerror "'cross-i686-w64-mingw32' compiler and its runtime for 32-bit builds."
eerror
eerror "These can be installed by using 'sys-devel/crossdev':"
eerror
eerror "crossdev --target i686-w64-mingw32"
eerror
eerror "For more information on setting up MinGW, see: https://wiki.gentoo.org/wiki/Mingw"
eerror
die "MinGW build was enabled, but no compiler to support it was found."
fi
if use mingw && use abi_x86_64 && ! has_version "cross-x86_64-w64-mingw32/gcc"; then
eerror
eerror "USE=\"mingw\" is currently experimental, and requires the"
eerror "'cross-x86_64-w64-mingw32' compiler and its runtime for 64-bit builds."
eerror
eerror "These can be installed by using 'sys-devel/crossdev':"
eerror
eerror "crossdev --target x86_64-w64-mingw32"
eerror
eerror "For more information on setting up MinGW, see: https://wiki.gentoo.org/wiki/Mingw"
eerror
die "MinGW build was enabled, but no compiler to support it was found."
fi
}
pkg_setup() {
wine_build_environment_check || die
wine_env_vcs_vars || die
WINE_VARIANT="${PN#wine}-${PV}"
WINE_VARIANT="${WINE_VARIANT#-}"
MY_PREFIX="${EPREFIX}/usr/lib/wine-${WINE_VARIANT}"
MY_DATAROOTDIR="${EPREFIX}/usr/share/wine-${WINE_VARIANT}"
MY_DATADIR="${MY_DATAROOTDIR}"
MY_DOCDIR="${EPREFIX}/usr/share/doc/${PF}"
MY_INCLUDEDIR="${EPREFIX}/usr/include/wine-${WINE_VARIANT}"
MY_LIBEXECDIR="${EPREFIX}/usr/libexec/wine-${WINE_VARIANT}"
MY_LOCALSTATEDIR="${EPREFIX}/var/wine-${WINE_VARIANT}"
MY_MANDIR="${MY_DATADIR}/man"
}
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
EGIT_CHECKOUT_DIR="${S}" git-r3_src_unpack
fi
default
plocale_find_changes "${S}/po" "" ".po"
}
src_prepare() {
eapply_bin(){
local patch
for patch in ${PATCHES_BIN[@]}; do
patchbin --nogit < "${patch}" || die
done
}
local md5="$(md5sum server/protocol.def)"
default
eapply_bin
eautoreconf
# Modification of the server protocol requires regenerating the server requests
if [[ "$(md5sum server/protocol.def)" != "${md5}" ]]; then
einfo "server/protocol.def was patched; running tools/make_requests"
tools/make_requests || die #432348
fi
sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in || die
if ! use run-exes; then
sed -i '/^MimeType/d' loader/wine.desktop || die #117785
fi
# Edit wine.desktop to work for specific variant
sed -e "/^Exec=/s/wine /wine-${WINE_VARIANT} /" -i loader/wine.desktop || die
# hi-res default icon, #472990, https://bugs.winehq.org/show_bug.cgi?id=24652
cp "${PATCHDIR}/files/oic_winlogo.ico" dlls/user32/resources/ || die
plocale_get_locales > po/LINGUAS || die # otherwise wine doesn't respect LINGUAS
# Fix manpage generation for locales #469418 and abi_x86_64 #617864
# Duplicate manpages input files for wine64
local f
for f in loader/*.man.in; do
cp ${f} ${f/wine/wine64} || die
done
# Add wine64 manpages to Makefile
if use abi_x86_64; then
sed -i "/wine.man.in/i \
\\\twine64.man.in \\\\" loader/Makefile.in || die
sed -i -E 's/(.*wine)(.*\.UTF-8\.man\.in.*)/&\
\164\2/' loader/Makefile.in || die
fi
rm_man_file(){
local file="${1}"
loc=${2}
sed -i "/${loc}\.UTF-8\.man\.in/d" "${file}" || die
}
while read f; do
plocale_for_each_disabled_locale rm_man_file "${f}"
done < <(find -name "Makefile.in" -exec grep -q "UTF-8.man.in" "{}" \; -print)
}
src_configure() {
wine_compiler_check || die
export LDCONFIG=/bin/true
use custom-cflags || strip-flags
if use mingw; then
export CROSSCFLAGS="${CFLAGS}"
fi
multilib-minimal_src_configure
}
multilib_src_configure() {
local myconf=(
--prefix="${MY_PREFIX}"
--datarootdir="${MY_DATAROOTDIR}"
--datadir="${MY_DATADIR}"
--docdir="${MY_DOCDIR}"
--includedir="${MY_INCLUDEDIR}"
--libdir="${EPREFIX}/usr/$(get_libdir)/wine-${WINE_VARIANT}"
--libexecdir="${MY_LIBEXECDIR}"
--localstatedir="${MY_LOCALSTATEDIR}"
--mandir="${MY_MANDIR}"
--sysconfdir="${EPREFIX}/etc/wine"
$(use_with alsa)
$(use_with capi)
$(use_with lcms cms)
$(use_with cups)
$(use_with udisks dbus)
$(use_with faudio)
$(use_with fontconfig)
$(use_with ssl gnutls)
$(use_enable gecko mshtml)
$(use_with gphoto2 gphoto)
$(use_with gsm)
$(use_with gssapi)
$(use_with gstreamer)
--without-hal
$(use_with jpeg)
$(use_with kerberos krb5)
$(use_with ldap)
# TODO: Will bug 685172 still need special handling?
$(use_with mingw)
$(use_enable mono mscoree)
$(use_with mp3 mpg123)
$(use_with netapi)
$(use_with nls gettext)
$(use_with openal)
$(use_with opencl)
$(use_with opengl)
$(use_with osmesa)
$(use_with oss)
$(use_with pcap)
$(use_with png)
$(use_with pulseaudio pulse)
$(use_with threads pthread)
$(use_with scanner sane)
$(use_with sdl)
$(use_enable test tests)
$(use_with truetype freetype)
$(use_with udev)
$(use_with unwind)
$(use_with usb)
$(use_with v4l v4l2)
$(use_with vkd3d)
$(use_with vulkan)
$(use_with X x)
$(use_with X xfixes)
$(use_with xcomposite)
$(use_with xinerama)
$(use_with xml)
$(use_with xml xslt)
)
local PKG_CONFIG
# Avoid crossdev's i686-pc-linux-gnu-pkg-config if building wine32 on amd64; #472038
tc-export PKG_CONFIG
if use amd64; then
if [[ ${ABI} == amd64 ]]; then
myconf+=( --enable-win64 )
else
myconf+=( --disable-win64 )
fi
# Note: using --with-wine64 results in problems with multilib.eclass
# CC/LD hackery. We're using separate tools instead.
fi
ECONF_SOURCE=${S} \
econf "${myconf[@]}"
emake depend
}
multilib_src_test() {
# FIXME: win32-only; wine64 tests fail with "could not find the Wine loader"
if [[ ${ABI} == x86 ]]; then
if [[ $(id -u) == 0 ]]; then
ewarn "Skipping tests since they cannot be run under the root user."
ewarn "To run the test ${MY_PN} suite, add userpriv to FEATURES in make.conf"
return
fi
WINEPREFIX="${T}/.wine-${ABI}" \
virtx emake test
fi
}
multilib_src_install_all() {
local DOCS=( ANNOUNCE AUTHORS README )
add_locale_docs() {
local locale_doc="documentation/README.$1"
[[ ! -e ${locale_doc} ]] || DOCS+=( ${locale_doc} )
}
plocale_for_each_locale add_locale_docs
einstalldocs
find "${ED}" -name *.la -delete || die
if ! use perl ; then # winedump calls function_grep.pl, and winemaker is a perl script
rm "${D%/}${MY_PREFIX}"/bin/{wine{dump,maker},function_grep.pl} \
"${D%/}${MY_MANDIR}"/man1/wine{dump,maker}.1 || die
fi
# Remove wineconsole if neither backend is installed #551124
if ! use X; then
rm "${D%/}${MY_PREFIX}"/bin/wineconsole* || die
rm "${D%/}${MY_MANDIR}"/man1/wineconsole* || die
if ! use mingw; then
rm_wineconsole() {
rm "${D%/}/usr/$(get_libdir)/wine-${WINE_VARIANT}"/wine/{,fakedlls/}wineconsole.exe* || die
}
else
rm_wineconsole() {
rm "${D%/}/usr/$(get_libdir)/wine-${WINE_VARIANT}"/wine/wineconsole.exe* || die
}
fi
multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D%/}${MY_PREFIX}"/bin/wine{,-preloader} #255055
use abi_x86_64 && pax-mark psmr "${D%/}${MY_PREFIX}"/bin/wine64{,-preloader}
# Avoid double prefix from dosym and make_wrapper
MY_PREFIX=${MY_PREFIX#${EPREFIX}}
if use abi_x86_64 && ! use abi_x86_32; then
dosym wine64 "${MY_PREFIX}"/bin/wine # 404331
dosym wine64-preloader "${MY_PREFIX}"/bin/wine-preloader
fi
# Failglob for binloops, shouldn't be necessary, but including to stay safe
eshopts_push -s failglob #615218
# Make wrappers for binaries for handling multiple variants
# Note: wrappers instead of symlinks because some are shell which use basename
local b
for b in "${ED%/}${MY_PREFIX}"/bin/*; do
make_wrapper "${b##*/}-${WINE_VARIANT}" "${MY_PREFIX}/bin/${b##*/}"
done
eshopts_pop
}
pkg_postinst() {
eselect wine register ${P}
if [[ ${PN} == "wine-vanilla" ]]; then
eselect wine register --vanilla ${P} || die
fi
eselect wine update --all --if-unset || die
xdg_desktop_database_update
if ! use gecko; then
ewarn "Without Wine Gecko, wine prefixes will not have a default"
ewarn "implementation of iexplore. Many older windows applications"
ewarn "rely upon the existence of an iexplore implementation, so"
ewarn "you will likely need to install an external one, like via winetricks"
fi
if ! use mono; then
ewarn "Without Wine Mono, wine prefixes will not have a default"
ewarn "implementation of .NET. Many windows applications rely upon"
ewarn "the existence of a .NET implementation, so you will likely need"
ewarn "to install an external one, like via winetricks"
fi
}
pkg_prerm() {
eselect wine deregister ${P}
if [[ ${PN} == "wine-vanilla" ]]; then
eselect wine deregister --vanilla ${P} || die
fi
eselect wine update --all --if-unset || die
}
pkg_postrm() {
xdg_desktop_database_update
}

BIN
app-misc/Manifest.gz

1
app-misc/asciinema/Manifest

@ -1 +1,2 @@
DIST asciinema-2.0.2.tar.gz 50058 BLAKE2B db04e21f41b76a7b2be1ca119b2c0a2ff29c9e525c35180d2506722b12c7d139087d0a102bd984cecd7d69e2da0ce8ac0f4bc83c631bc1373fecc8de2d29f107 SHA512 27ae831494c2532270940c3e0fedc87ebbdc1e9d8d24c37d1b63d3f74d9722d38e867fa1b46656249e5b0a84ed7ed32bb21da65f06e9c6a8b787aebdce2068f3
DIST asciinema-2.1.0.tar.gz 82022 BLAKE2B 2f7c68caef228a6cb98f3503212edc393bd8f7a3653a369b0509d45a6e19b8373630fac88498a771c0eaa2a322a95ab816b268660b8b2384d1ec25c617b06a5a SHA512 df77ccea13e06e9c5feda22be2366aa702acf510fdc6cbc9a09b20d67ae43a47214891fbb5ef080ff9af9c3ee2f450694c306ee1dbdbdef3f9862dc6dee60750

24
app-misc/asciinema/asciinema-2.1.0.ebuild

@ -0,0 +1,24 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1
DESCRIPTION="Command line recorder for asciinema.org service"
HOMEPAGE="https://asciinema.org/ https://pypi.org/project/asciinema/"
SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~ppc64 ~x86"
PATCHES=( "${FILESDIR}/${P}-setuptools.patch" )
distutils_enable_tests nose
python_prepare_all() {
distutils-r1_python_prepare_all
sed -i -e "s|data_files=\[('share/doc/asciinema|&-${PVR}|" setup.py || die
}

23
app-misc/asciinema/files/asciinema-2.1.0-setuptools.patch

@ -0,0 +1,23 @@
From 014b1fead4c0130e14c99f54ed521d5d0535365a Mon Sep 17 00:00:00 2001
From: Michael Palimaka <kensington@gentoo.org>
Date: Tue, 26 Oct 2021 19:13:33 +1100
Subject: [PATCH] setup.cfg: fix deprecated key usage
---
setup.cfg | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/setup.cfg b/setup.cfg
index bbd4d8d..17afd12 100644
--- a/setup.cfg
+++ b/setup.cfg
@@ -1,5 +1,5 @@
[metadata]
-description-file = README.md
+description_file = README.md
license_file = LICENSE
[pycodestyle]
--
2.32.0

5
app-misc/vit/metadata.xml

@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>nerdboy@gentoo.org</email>
<name>Stephen Arnold</name>
</maintainer>
<!-- maintainer-needed -->
<longdescription lang="en">
A perl/Curses front end for Taskwarrior (<pkg>app-misc/task</pkg>) that
provides a fullscreen terminal window with modes and commands

2
app-misc/wcd/wcd-6.0.3-r1.ebuild

@ -11,7 +11,7 @@ SRC_URI="http://waterlan.home.xs4all.nl/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~arm x86 ~amd64-linux ~x86-linux"
IUSE="nls unicode"
CDEPEND="

BIN
app-office/Manifest.gz

1
app-office/texstudio/Manifest

@ -2,3 +2,4 @@ DIST texstudio-3.1.1.tar.gz 83239128 BLAKE2B 7aeedba9ec5a404d51e8854a67c2e07f4ef
DIST texstudio-3.1.2.tar.gz 83987451 BLAKE2B 0649a4f2a429d1d7a6134e154c338f623de23c8b05829a169599f6950b59190736a0f4c2a4dc0e57ae2c47a5eb26594639660a8b691adbb768cb013061d5c1d8 SHA512 c8ce74cca6620ba725c4e8ff66564cc4804f3b922877af5c4952a8cd5b43fdf2deb88c1515f457f75a67d7d29ca1d6307779b8304c0b78b37f585c61a12221c4
DIST texstudio-4.0.0.tar.gz 88426776 BLAKE2B 616ffaf35a4f2c5e5290517b38301c575b91251374ee96dc58560f40115ffd5e4e68830fe927283dcdf0f9c9b38815fe04a86a7e58e2dc7936b2b32e38bd6662 SHA512 9025e0709145ed9c352f9cfd748087b331fd2894c913d7b7707254050ea41d5df74077c8f94cc3fb19c4700d468d55e91895da1ea474759d83af499ef436cdbc
DIST texstudio-4.0.1.tar.gz 88469841 BLAKE2B ef1987fd3e733e9de57db5d8f2e25802f8eb86ad8a957f236283db41756c6e8cb133646d212d2d85d9c2ea9b53f2677f8ce76509d7e4634465859251a280c978 SHA512 cb993027950a525ac8cc5eac4ca95e0c9ffa712aab6f27d8c22b46e52d4edc3e05b2ba16efbf5d8c0e40d6ef75abcdd6dbd86ef59fd0f7b87ab4cbbd03f83b85
DIST texstudio-4.0.2.tar.gz 88557508 BLAKE2B 51c7b80f01e6e657b901d197bae01e4314446690d8169da823d2bc0be13a1918c248976f81ec64c1ce57dc523fd1b3a1aa01709cce3d56de207a69d42c9cb512 SHA512 a2579788cac0ddf1edc7be2040ea13bc7aece5596a91cd8361a4de8c7fafaa86c95ef34e40f4a0bdf3b5cfc52c951af737138ccd26dbf8ac730ec64f8a38cfd7

78
app-office/texstudio/texstudio-4.0.2.ebuild

@ -0,0 +1,78 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit desktop qmake-utils xdg
MY_PV="${PV/_/}"
DESCRIPTION="Free cross-platform LaTeX editor (fork from texmakerX)"
HOMEPAGE="https://www.texstudio.org https://github.com/texstudio-org/texstudio"
SRC_URI="https://github.com/texstudio-org/texstudio/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/${PN}-${MY_PV}"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
IUSE="video"
DEPEND="
app-text/hunspell:=
app-text/poppler:=[qt5]
>=dev-libs/quazip-0.7.3-r1:0=
dev-qt/designer:5
dev-qt/qtcore:5
dev-qt/qtconcurrent:5
dev-qt/qtdeclarative:5
dev-qt/qtgui:5
dev-qt/qtnetwork:5
dev-qt/qtprintsupport:5
dev-qt/qtsingleapplication[qt5(+),X]
dev-qt/qtsvg:5
dev-qt/qttest:5
dev-qt/qtwidgets:5
dev-qt/qtxml:5
sys-libs/zlib
x11-libs/libX11
x11-libs/libXext
video? ( >=media-libs/phonon-4.11.0 )
"
RDEPEND="
${DEPEND}
app-text/ghostscript-gpl
app-text/psutils
media-libs/netpbm
virtual/latex-base
"
BDEPEND="virtual/pkgconfig"
PATCHES=(
"${FILESDIR}/${PN}-3.0.5-quazip1.patch" # TODO: upstream
)
src_prepare() {
xdg_src_prepare
# TODO: find hunspell quazip utilities/poppler-data qtsingleapplication -delete || die
rm -r src/quazip || die
if use video; then
sed "/^PHONON/s:$:true:g" -i ${PN}.pro || die
fi
sed -e "/qtsingleapplication.pri/s/.*/CONFIG += qtsingleapplication/" \
-i ${PN}.pro || die
}
src_configure() {
eqmake5 USE_SYSTEM_HUNSPELL=1 USE_SYSTEM_QUAZIP=1
}
src_install() {
local i
for i in 16x16 22x22 32x32 48x48 64x64 128x128; do
newicon -s ${i} utilities/${PN}${i}.png ${PN}.png
done
emake DESTDIR="${D}" INSTALL_ROOT="${ED}" install
}

BIN
dev-java/Manifest.gz

1
dev-java/gson/Manifest

@ -1 +1,2 @@
DIST gson-2.8.8-sources.tar.gz 393941 BLAKE2B ebdd1088a069eea58e5ea4e2eddea0d42064c53f7284778b1b7217c8bc7abeb7e14350e19d838af1d94f78c5c38aca6de0f37674b022f0e528ed65eef803c3f1 SHA512 f90ad679c99c5e9a6ee9e397e59ab1d7d94a9c82366902b808addc40ebbab101fdba7fc83e4666c4f35e52d8b127e6f901e65072a7de210496466074dcd043c5
DIST gson-parent-2.8.7.tar.gz 391617 BLAKE2B 2c0fa3927d44c4a5c961518955dfbe6fee60dd61026002d0152d25d6f22dd4ac08b4323256af1053d0f17ef5d9f2a2a3ee86cedebd52a112d258e8c8c37e545d SHA512 044032b24ec1198d054807ccbfd91301307992b6e7d03a2e8578be79a2cdb28ba0ba57a954f11ad43022ec696c1522d242ed6b1045f831c9a370e0621e674fe0

56
dev-java/gson/gson-2.8.8.ebuild

@ -0,0 +1,56 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# Skeleton command:
# java-ebuilder --generate-ebuild --workdir . --pom gson/pom.xml --download-uri https://github.com/google/gson/archive/gson-parent-2.8.8.tar.gz --slot 2.6 --keywords "~amd64 ~ppc64 ~x86" --ebuild gson-2.8.8.ebuild
EAPI=7
JAVA_PKG_IUSE="doc source test"
MAVEN_ID="com.google.code.gson:gson:2.8.8"
JAVA_TESTING_FRAMEWORKS="junit-4"
inherit java-pkg-2 java-pkg-simple
DESCRIPTION="Gson JSON library"
HOMEPAGE="https://github.com/google/gson/gson"
SRC_URI="https://github.com/google/${PN}/archive/${PN}-parent-${PV}.tar.gz -> ${P}-sources.tar.gz"
LICENSE="Apache-2.0"
SLOT="2.6"
KEYWORDS="~amd64 ~ppc64 ~x86"
# Compile dependencies
# POM: ${PN}/pom.xml
# test? com.github.wvengen:proguard-maven-plugin:2.4.0 -> !!!groupId-not-found!!!
# test? junit:junit:4.13.2 -> >=dev-java/junit-4.13.2:4
DEPEND="
>=virtual/jdk-1.8:*
"
RDEPEND="
>=virtual/jre-1.8:*
"
S="${WORKDIR}/${PN}-${PN}-parent-${PV}/${PN}"
JAVA_SRC_DIR=(
"src/main/java"
"src/main/java-templates"
)
JAVA_TEST_GENTOO_CLASSPATH="junit-4"
JAVA_TEST_SRC_DIR="src/test/java"
JAVA_TEST_RESOURCE_DIRS=(
"src/test/resources"
)
JAVA_TEST_EXCLUDES=(
# requires the test class to be obfuscated using proguard which we do not have atm
"com.google.gson.functional.EnumWithObfuscatedTest"
)
src_prepare() {
default
sed -i "s/\${project.version}/${PV}/g" src/main/java-templates/com/google/gson/internal/GsonBuildConfig.java || die "Failed to set version"
}

BIN
dev-lang/Manifest.gz

3
dev-lang/perl/perl-5.34.0-r5.ebuild

@ -52,8 +52,7 @@ LICENSE="|| ( Artistic GPL-1+ )"
SLOT="0/${SUBSLOT}"
if [[ "${PV##*.}" != "9999" ]] && [[ "${PV/rc//}" == "${PV}" ]] ; then
#KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS=""
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
IUSE="berkdb debug doc gdbm ithreads minimal"

2
dev-lang/php/php-7.3.31-r1.ebuild

@ -19,7 +19,7 @@ LICENSE="PHP-3.01
unicode? ( BSD-2 LGPL-2.1 )"
SLOT="$(ver_cut 1-2)"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
S="${WORKDIR}/${PN}-${MY_PV}"

2
dev-lang/php/php-7.4.25.ebuild

@ -21,7 +21,7 @@ LICENSE="PHP-3.01
unicode? ( BSD-2 LGPL-2.1 )"
SLOT="$(ver_cut 1-2)"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
S="${WORKDIR}/${PN}-${MY_PV}"

2
dev-lang/php/php-8.0.12.ebuild

@ -21,7 +21,7 @@ LICENSE="PHP-3.01
unicode? ( BSD-2 LGPL-2.1 )"
SLOT="$(ver_cut 1-2)"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
S="${WORKDIR}/${PN}-${MY_PV}"

BIN
dev-libs/Manifest.gz

2
dev-libs/botan/Manifest

@ -1,3 +1,5 @@
DIST Botan-2.17.3.tar.xz 5937596 BLAKE2B 605e71c959889b459bc26f17d310a33f26c9a51fe00db91db407ac5b96c9ff57bef67a401f71826e83e0d4eda2289c22685957289e6bb357f3693a1bce60f44d SHA512 ead0f144dfb9eca66d0e81e376d0d49f4b0b6bc1599f8cf52299e1753645b5b20100efa004ef5f9571f7bea88958f35db38367fc26f2603890f8f199cc890dbc
DIST Botan-2.18.1.tar.xz 5953936 BLAKE2B 82f6a9563377542d059901adec0fc17a41b0184cf59af76084babec2591830314a4d7f8d3308eb393c4910c9b0e6c056625765f0d95b435f47dc94cf4b83b128 SHA512 2f11d1ab703d977a2d64504d2a2489ce56109a2a6c46c0dc7c8db428470ce511bcc0160f70baedad29237abd5e1622f2c155ea58c4dec4d3ae57ee7b350415c3
DIST Botan-2.18.1.tar.xz.asc 488 BLAKE2B d7e6f18ba969b1fffe5aec27ec28839bb6eefac438b0971bb24293a9a1dc104d4355feaae4f8749ea9ea9a729e9f0c0368782c60c2f1aaed58620624248d09d2 SHA512 0cb24d544e31f347e649661d28fedaad4352cd5096ad41e1513c7915138981c7c099e4ee6025893ed829a65082aaded738a94018a8e0bc079f4f0fb63bbec262
DIST Botan-2.18.2.tar.xz 5996928 BLAKE2B 5c5ac1e8e2de16a012aa5716138f4c2d2b8178f0a811993e5e297aa5ae9e7f6d5a4f182d50566f5848a4f93a88bcec622291a15370c4c017361ca65d3bb189bf SHA512 ccf9286ee891fb201065a0a6a991ce78ef7f5dd0caf04010527cd524b824ea470e5ce302853c1839e999a1b3dafb2e82eb298036a37d11f0cf3df5fa09529d9c
DIST Botan-2.18.2.tar.xz.asc 488 BLAKE2B 03744e95f52031295162b63dc34d7e0fd9a6b01ae751a809eed5f24c46017fca253c8d42c88b568566f393f0e6dd55d488ef56223d164941386690e2accdf296 SHA512 6764bcdb52a3a28672bcf22f8c364c926511a7b7c9bc227ba15f1e4b2feb9b371a9a4bd9bb1ee43e85faacbef4df5ce39a158357b4ce3706a00f4220bea8d926

165
dev-libs/botan/botan-2.18.2.ebuild

@ -0,0 +1,165 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/botan.asc
inherit python-r1 toolchain-funcs verify-sig
MY_P="Botan-${PV}"
DESCRIPTION="C++ crypto library"
HOMEPAGE="https://botan.randombit.net/"
SRC_URI="https://botan.randombit.net/releases/${MY_P}.tar.xz"
SRC_URI+=" verify-sig? ( https://botan.randombit.net/releases/${MY_P}.tar.xz.asc )"
S="${WORKDIR}/${MY_P}"
LICENSE="BSD-2"
SLOT="2/$(ver_cut 1-2)" # soname version
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~ppc-macos"
IUSE="bindist doc boost bzip2 lzma python ssl static-libs sqlite zlib"
CPU_USE=(
cpu_flags_arm_{aes,neon}
cpu_flags_ppc_altivec
cpu_flags_x86_{aes,avx2,popcnt,rdrand,sse2,ssse3,sse4_1,sse4_2}
)
IUSE+=" ${CPU_USE[@]}"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
# NOTE: Boost is needed at runtime too for the CLI tool.
DEPEND="
boost? ( >=dev-libs/boost-1.48:= )
bzip2? ( >=app-arch/bzip2-1.0.5:= )
lzma? ( app-arch/xz-utils:= )
python? ( ${PYTHON_DEPS} )
ssl? ( dev-libs/openssl:0=[bindist(-)=] )
sqlite? ( dev-db/sqlite:3= )
zlib? ( >=sys-libs/zlib-1.2.3:= )
"
RDEPEND="${DEPEND}"
BDEPEND="
${PYTHON_DEPS}
$(python_gen_any_dep '
doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
')
verify-sig? ( app-crypt/openpgp-keys-botan )
"
# NOTE: Considering patching Botan?
# Please see upstream's guidance:
# https://botan.randombit.net/handbook/packaging.html#minimize-distribution-patches
python_check_deps() {
if use doc ; then
has_version -b "dev-python/sphinx[${PYTHON_USEDEP}]" || return 1
fi
}
src_configure() {
python_setup
local disable_modules=(
$(usev !boost 'boost')
$(usev bindist 'ecdsa')
)
if [[ -z "${DISABLE_MODULES}" ]] ; then
elog "Disabling module(s): ${disable_modules[@]}"
fi
local chostarch="${CHOST%%-*}"
# Arch specific wrangling
local myos=
case ${CHOST} in
*-darwin*)
myos=darwin
;;
*)
myos=linux
if [[ ${CHOST} == *hppa* ]] ; then
chostarch=parisc
elif [[ ${PROFILE_ARCH} == "sparc64" ]] ; then
chostarch="sparc32-v9"
fi
;;
esac
local pythonvers=()
if use python ; then
_append() {
pythonvers+=( ${EPYTHON/python/} )
}
python_foreach_impl _append
fi
local myargs=(
# Intrinsics
# TODO: x86 RDSEED (new CPU_FLAGS_X86?)
# TODO: POWER Crypto (new CPU_FLAGS_PPC?)
$(usev !cpu_flags_arm_aes '--disable-armv8crypto')
$(usev !cpu_flags_arm_neon '--disable-neon')
$(usev !cpu_flags_ppc_altivec '--disable-altivec')
$(usev !cpu_flags_x86_aes '--disable-aes-ni')
$(usev !cpu_flags_x86_avx2 '--disable-avx2')
$(usev !cpu_flags_x86_popcnt '--disable-bmi2')
$(usev !cpu_flags_x86_rdrand '--disable-rdrand')
$(usev !cpu_flags_x86_sse2 '--disable-sse2')
$(usev !cpu_flags_x86_ssse3 '--disable-ssse3')
$(usev !cpu_flags_x86_sse4_1 '--disable-sse4.1')
$(usev !cpu_flags_x86_sse4_2 '--disable-sse4.2')
$(usev hppa '--without-stack-protector')
$(use_with boost)
$(use_with bzip2)
$(use_with doc documentation)
$(use_with doc sphinx)
$(use_with lzma)
$(use_enable static-libs static-library)
$(use_with ssl openssl)
$(use_with sqlite sqlite3)
$(use_with zlib)
--cpu=${chostarch}
--docdir=share/doc
--disable-modules=$( IFS=","; echo "${disable_modules[*]}" )
--distribution-info="Gentoo ${PVR}"
--libdir=$(get_libdir)
# Don't install Python bindings automatically
# (do it manually later in the right place)
# https://bugs.gentoo.org/723096
--no-install-python-module
--os=${myos}
--prefix="${EPREFIX}/usr"
--with-endian="$(tc-endian)"
--with-python-version=$( IFS=","; echo "${pythonvers[*]}" )
--without-doxygen
)
tc-export CC CXX AR
${EPYTHON} configure.py "${myargs[@]}" || die "configure.py failed with ${EPYTHON}"
}
src_test() {
LD_LIBRARY_PATH="${S}" ./botan-test || die "Validation tests failed"
}
src_install() {
default
# Manually install the Python bindings (bug #723096)
if use python ; then
python_foreach_impl python_domodule src/python/botan2.py
fi
}

2
dev-libs/glib/glib-2.68.4.ebuild

@ -15,7 +15,7 @@ IUSE="dbus debug +elf elibc_glibc fam gtk-doc kernel_linux +mime selinux static-
RESTRICT="!test? ( test )"
REQUIRED_USE="gtk-doc? ( test )" # Bug #777636
KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux"
# * elfutils (via libelf) does not build on Windows. gresources are not embedded
# within ELF binaries on that platform anyway and inspecting ELF binaries from

4
dev-libs/hiredis/hiredis-1.0.1.ebuild → dev-libs/hiredis/hiredis-1.0.1-r1.ebuild

@ -10,8 +10,8 @@ HOMEPAGE="https://github.com/redis/hiredis"
SRC_URI="https://github.com/redis/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0/1.0.0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc ~x86 ~x64-solaris"
SLOT="0/1.0.1"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86 ~x64-solaris"
IUSE="examples ssl static-libs test"
RESTRICT="!test? ( test )"

2
dev-libs/imath/imath-3.1.1.ebuild

@ -14,7 +14,7 @@ HOMEPAGE="https://imath.readthedocs.io"
SRC_URI="https://github.com/AcademySoftwareFoundation/${MY_PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
# re-keywording needed for (according to ilmbase keywords):
# ~mips ~x64-macos ~x86-solaris
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="~amd64 ~arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
S="${WORKDIR}/${MY_PN}-${PV}"
LICENSE="BSD"

2
dev-libs/libatomic_ops/libatomic_ops-7.6.12.ebuild

@ -11,7 +11,7 @@ SRC_URI="https://github.com/ivmai/${PN}/releases/download/v${PV}/${P}.tar.gz"
LICENSE="MIT boehm-gc GPL-2+"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
multilib_src_configure() {
ECONF_SOURCE="${S}" econf \

2
dev-libs/snowball-stemmer/snowball-stemmer-2.1.0-r1.ebuild

@ -14,7 +14,7 @@ SRC_URI="https://github.com/snowballstem/snowball/archive/v${PV}.tar.gz -> ${P}.
LICENSE="BSD"
SLOT="0/$(ver_cut 1)"
KEYWORDS="~alpha ~amd64 ~arm arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~ppc-macos ~sparc-solaris ~sparc64-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~ppc-macos ~sparc-solaris ~sparc64-solaris"
IUSE="static-libs test"
DEPEND=""

5
dev-libs/tntnet/metadata.xml

@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<name>Joerg Bornkessel</name>
<email>hd_brummy@gentoo.org</email>
</maintainer>
<!-- maintainer-needed -->
<use>
<flag name="server">Enable tntnet server daemon</flag>
</use>

BIN
dev-perl/Manifest.gz

2
dev-perl/PDF-Builder/PDF-Builder-3.23.0.ebuild

@ -12,7 +12,7 @@ DESCRIPTION="Facilitates the creation and modification of PDF files"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
RDEPEND="
>=dev-perl/Font-TTF-1.40.0

BIN
dev-python/Manifest.gz

1
dev-python/aesara/Manifest

@ -1,2 +1,3 @@
DIST aesara-rel-2.2.2.tar.gz 8174668 BLAKE2B c95347e8b74f6600c3570177f86b7ebd7511899ed0ceb24a2d79a03a44ee498a8062b92fb79867f59b609f66315704ee92e28e12a5ab600d54d0d35ef799b66b SHA512 d5f62e42c36100b2fd25eba492590eb306b1394aa01bf2e90d43e84ac67701e5b756be6bc08d0e6b82fb1f37689dbbba1d7ef67c8525555a700a634d742056bb
DIST aesara-rel-2.2.3.tar.gz 8179701 BLAKE2B 53ef58d6f0ab33e7efe3d0eaa2b55153a2ab29c958b48f52f814fecf7f5fa65424465470cde0ebb8d2ef1ced6968fd01217d9f7bd61acc8843cde1a9c0a94cbe SHA512 21414230c0be2c31e08fd371ee69c3bb7098b2134a5aec006abeca00a333e025fcbfd10ebdcbf54d243e1bc8c45f301a2c3443531ba5eaf0fe3a1ac5645ae4f5
DIST aesara-rel-2.2.4.tar.gz 8180599 BLAKE2B 2b5e6ce0b0cbf0405d312f5b7c842057f05378c240c4dd36818c1b9d1b57667494c2472537e039ab16fac702a30a692bba5c8d5fc8801eb0c7e492d7f8e059b3 SHA512 3e0fe0cfa37f3b597ab94778dca60368aedbf9df79b4bb79812a190d77743addd1ddf5f234bf62c2dd744054204f03b84b358d0c58c27c28829b8fbe919bd151

39
dev-python/theano-pymc/theano-pymc-1.1.2-r1.ebuild → dev-python/aesara/aesara-2.2.4.ebuild

@ -1,29 +1,26 @@
# Copyright 2020-2021 Gentoo Authors
# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
PYTHON_COMPAT=( python3_{7..9} )
inherit distutils-r1 optfeature
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1 multiprocessing optfeature
MY_P=Theano-PyMC-rel-${PV}
MY_P=aesara-rel-${PV}
DESCRIPTION="Library for operating on mathematical expressions with multi-dimensional arrays"
HOMEPAGE="https://github.com/pymc-devs/Theano-PyMC"
SRC_URI="
https://github.com/pymc-devs/Theano-PyMC/archive/rel-${PV}.tar.gz
-> ${MY_P}.tar.gz"
S=${WORKDIR}/${MY_P}
HOMEPAGE="https://github.com/aesara-devs/aesara"
SRC_URI="https://github.com/aesara-devs/aesara/archive/rel-${PV}.tar.gz -> ${MY_P}.tar.gz"
S="${WORKDIR}/${MY_P}"
LICENSE="BSD"